<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
?>
<div class="vc_faq-tab changelog">
	<h3><?php _e( 'New to Visual Composer or Looking for More Information?', 'js_composer' ); ?></h3>

	<p><?php printf( __( 'WPBakery has complete documentation available at our knowledge base: <a target="_blank" href="%s">kb.wpbakery.com</a> which covers everything related to Visual Composer starting from Installation and up to more advanced features based on our Inner API.', 'js_composer' ), 'http://kb.wpbakery.com' ); ?></p>

	<div class="feature-section vc_row">
		<div class="vc_col-xs-4">
			<h4><a target="_blank" href="http://go.wpbakery.com/preface">Preface</a></h4>
			<ul>
				<li><a target="_blank" href="http://go.wpbakery.com/introduction">Introduction</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/support-and-resources">Support and Resources</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/support-policy">Support Policy</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/release-notes">Release Notes</a></li>
			</ul>
		</div>

		<div class="vc_col-xs-4">
			<h4><a target="_blank" href="http://go.wpbakery.com/licensing">Licensing</a></h4>
			<ul>
				<li><a target="_blank" href="http://go.wpbakery.com/regular-license">Regular License</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/extended-license">Extended License</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/in-stock-license-terms">In-Stock License (Theme Integration)</a></li>
			</ul>
		</div>

		<div class="vc_col-xs-4">
			<h4><a target="_blank" href="http://go.wpbakery.com/getting-started">Getting Started</a></h4>
			<ul>
				<li><a target="_blank" href="http://go.wpbakery.com/install">Plugin Installation</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/activation">Activation</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/update">Update</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/content-type">Content Type</a></li>
			</ul>
		</div>
	</div>

	<div class="feature-section vc_row">
		<div class="vc_col-xs-4">
			<h4><a target="_blank" href="http://go.wpbakery.com/learning-more">Learning More</a>
			</h4>
			<ul>
				<li><a target="_blank" href="http://go.wpbakery.com/basic-concept">Basic Concept</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/content-elements">Content Elements</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/general-settings">General Settings</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/custom-css">Custom CSS</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/element-design-options">Element Design Options</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/responsive-settings">Responsive Settings</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/templates">Templates</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/predefined-layouts">Predefined Layouts</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/shortcode-mapper">Shortcode Mapper</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/grid-builder">Grid Builder</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/image-filters">Image filters</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/element-presets">Element Presets</a></li>
			</ul>
		</div>

		<div class="vc_col-xs-4">
			<h4><a target="_blank" href="http://go.wpbakery.com/vc-how-tos">Visual Composer "How To's"</a></h4>

			<p>In this section you will find a quick tips in form of video tutorials on how to operate with Visual Composer.</p>
		</div>

		<div class="vc_col-xs-4">
			<h4><a target="_blank" href="http://go.wpbakery.com/faq">FAQ</a></h4>

			<p>Here you can find answers to the Frequently Asked Question about Visual Composer.</p>
		</div>
	</div>

	<div class="feature-section vc_row">
		<div class="vc_col-xs-4">
			<h4><a target="_blank" href="http://go.wpbakery.com/addons">Add-ons</a></h4>
			<ul>
				<li><a target="_blank" href="http://go.wpbakery.com/templatera">Templatera</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/easy-tables">Easy Tables</a></li>
				<li><a target="_blank" href="http://go.wpbakery.com/addon-development-rules">Add-on Development Rules</a></li>
			</ul>
		</div>

		<div class="vc_col-xs-4">
			<h4><a target="_blank" href="http://go.wpbakery.com/theme-integration">Theme Integration</a></h4>

			<p>See how you can integrate Visual Composer within your WordPress theme.</p>
		</div>

		<div class="vc_col-xs-4">
			<h4><a target="_blank" href="http://go.wpbakery.com/inner-api">Inner API</a></h4>

			<p>Inner API section describes capabilities of interaction with Visual Composer.</p>
		</div>
	</div>
</div>

<div class="return-to-dashboard">
	<a target="_blank" href="http://kb.wpbakery.com"><?php _e( 'Visit Knowledge Base for more information', 'js_composer' ); ?></a>
</div>
