<?php

if (!defined('ABSPATH')) exit; // Exit if accessed directly

/**
 * 
 * All of the blow serialized arrays for the Google Font "Families", "Variants" and "Subsets" have each item's IDs matching across the three arrays. 
 * So a specific ID would be referring to the same font items across all three arrays. They were all generated from a single source array obtained from Google API
 * which contains a lot more data, however for conveninence, speed and storage only the necessary data was extracted.
 * 
 */


/**
 * Google Web Fonts Families
 * 
 * @return string A serialized array in the format array( 'id' => $key, 'text' => $font['family'] ) compatible with "Select2" library
 */
function udesign_google_fonts_families() {
    return 'a:733:{i:0;s:7:"ABeeZee";i:1;s:4:"Abel";i:2;s:13:"Abril Fatface";i:3;s:8:"Aclonica";i:4;s:4:"Acme";i:5;s:5:"Actor";i:6;s:7:"Adamina";i:7;s:10:"Advent Pro";i:8;s:15:"Aguafina Script";i:9;s:7:"Akronim";i:10;s:6:"Aladin";i:11;s:7:"Aldrich";i:12;s:4:"Alef";i:13;s:8:"Alegreya";i:14;s:11:"Alegreya SC";i:15;s:13:"Alegreya Sans";i:16;s:16:"Alegreya Sans SC";i:17;s:10:"Alex Brush";i:18;s:13:"Alfa Slab One";i:19;s:5:"Alice";i:20;s:5:"Alike";i:21;s:13:"Alike Angular";i:22;s:5:"Allan";i:23;s:7:"Allerta";i:24;s:15:"Allerta Stencil";i:25;s:6:"Allura";i:26;s:8:"Almendra";i:27;s:16:"Almendra Display";i:28;s:11:"Almendra SC";i:29;s:8:"Amarante";i:30;s:8:"Amaranth";i:31;s:9:"Amatic SC";i:32;s:9:"Amethysta";i:33;s:5:"Amiri";i:34;s:5:"Amita";i:35;s:7:"Anaheim";i:36;s:6:"Andada";i:37;s:6:"Andika";i:38;s:6:"Angkor";i:39;s:24:"Annie Use Your Telescope";i:40;s:13:"Anonymous Pro";i:41;s:5:"Antic";i:42;s:12:"Antic Didone";i:43;s:10:"Antic Slab";i:44;s:5:"Anton";i:45;s:6:"Arapey";i:46;s:7:"Arbutus";i:47;s:12:"Arbutus Slab";i:48;s:19:"Architects Daughter";i:49;s:13:"Archivo Black";i:50;s:14:"Archivo Narrow";i:51;s:5:"Arimo";i:52;s:8:"Arizonia";i:53;s:6:"Armata";i:54;s:8:"Artifika";i:55;s:4:"Arvo";i:56;s:4:"Arya";i:57;s:4:"Asap";i:58;s:4:"Asar";i:59;s:5:"Asset";i:60;s:7:"Astloch";i:61;s:4:"Asul";i:62;s:10:"Atomic Age";i:63;s:6:"Aubrey";i:64;s:9:"Audiowide";i:65;s:10:"Autour One";i:66;s:7:"Average";i:67;s:12:"Average Sans";i:68;s:19:"Averia Gruesa Libre";i:69;s:12:"Averia Libre";i:70;s:17:"Averia Sans Libre";i:71;s:18:"Averia Serif Libre";i:72;s:10:"Bad Script";i:73;s:9:"Balthazar";i:74;s:7:"Bangers";i:75;s:5:"Basic";i:76;s:10:"Battambang";i:77;s:7:"Baumans";i:78;s:5:"Bayon";i:79;s:8:"Belgrano";i:80;s:7:"Belleza";i:81;s:9:"BenchNine";i:82;s:7:"Bentham";i:83;s:15:"Berkshire Swash";i:84;s:5:"Bevan";i:85;s:13:"Bigelow Rules";i:86;s:11:"Bigshot One";i:87;s:5:"Bilbo";i:88;s:16:"Bilbo Swash Caps";i:89;s:7:"Biryani";i:90;s:6:"Bitter";i:91;s:13:"Black Ops One";i:92;s:5:"Bokor";i:93;s:6:"Bonbon";i:94;s:8:"Boogaloo";i:95;s:10:"Bowlby One";i:96;s:13:"Bowlby One SC";i:97;s:7:"Brawler";i:98;s:10:"Bree Serif";i:99;s:14:"Bubblegum Sans";i:100;s:11:"Bubbler One";i:101;s:4:"Buda";i:102;s:7:"Buenard";i:103;s:10:"Butcherman";i:104;s:14:"Butterfly Kids";i:105;s:5:"Cabin";i:106;s:15:"Cabin Condensed";i:107;s:12:"Cabin Sketch";i:108;s:15:"Caesar Dressing";i:109;s:10:"Cagliostro";i:110;s:14:"Calligraffitti";i:111;s:6:"Cambay";i:112;s:5:"Cambo";i:113;s:6:"Candal";i:114;s:9:"Cantarell";i:115;s:11:"Cantata One";i:116;s:11:"Cantora One";i:117;s:8:"Capriola";i:118;s:5:"Cardo";i:119;s:5:"Carme";i:120;s:14:"Carrois Gothic";i:121;s:17:"Carrois Gothic SC";i:122;s:10:"Carter One";i:123;s:9:"Catamaran";i:124;s:6:"Caudex";i:125;s:6:"Caveat";i:126;s:12:"Caveat Brush";i:127;s:18:"Cedarville Cursive";i:128;s:11:"Ceviche One";i:129;s:10:"Changa One";i:130;s:6:"Chango";i:131;s:18:"Chau Philomene One";i:132;s:9:"Chela One";i:133;s:14:"Chelsea Market";i:134;s:6:"Chenla";i:135;s:17:"Cherry Cream Soda";i:136;s:12:"Cherry Swash";i:137;s:5:"Chewy";i:138;s:6:"Chicle";i:139;s:5:"Chivo";i:140;s:8:"Chonburi";i:141;s:6:"Cinzel";i:142;s:17:"Cinzel Decorative";i:143;s:14:"Clicker Script";i:144;s:4:"Coda";i:145;s:12:"Coda Caption";i:146;s:8:"Codystar";i:147;s:5:"Combo";i:148;s:9:"Comfortaa";i:149;s:11:"Coming Soon";i:150;s:11:"Concert One";i:151;s:9:"Condiment";i:152;s:7:"Content";i:153;s:12:"Contrail One";i:154;s:11:"Convergence";i:155;s:6:"Cookie";i:156;s:5:"Copse";i:157;s:6:"Corben";i:158;s:9:"Courgette";i:159;s:7:"Cousine";i:160;s:8:"Coustard";i:161;s:21:"Covered By Your Grace";i:162;s:12:"Crafty Girls";i:163;s:9:"Creepster";i:164;s:11:"Crete Round";i:165;s:12:"Crimson Text";i:166;s:13:"Croissant One";i:167;s:7:"Crushed";i:168;s:6:"Cuprum";i:169;s:6:"Cutive";i:170;s:11:"Cutive Mono";i:171;s:6:"Damion";i:172;s:14:"Dancing Script";i:173;s:7:"Dangrek";i:174;s:20:"Dawning of a New Day";i:175;s:8:"Days One";i:176;s:5:"Dekko";i:177;s:6:"Delius";i:178;s:17:"Delius Swash Caps";i:179;s:14:"Delius Unicase";i:180;s:13:"Della Respira";i:181;s:8:"Denk One";i:182;s:10:"Devonshire";i:183;s:8:"Dhurjati";i:184;s:13:"Didact Gothic";i:185;s:9:"Diplomata";i:186;s:12:"Diplomata SC";i:187;s:6:"Domine";i:188;s:11:"Donegal One";i:189;s:10:"Doppio One";i:190;s:5:"Dorsa";i:191;s:5:"Dosis";i:192;s:11:"Dr Sugiyama";i:193;s:10:"Droid Sans";i:194;s:15:"Droid Sans Mono";i:195;s:11:"Droid Serif";i:196;s:9:"Duru Sans";i:197;s:9:"Dynalight";i:198;s:11:"EB Garamond";i:199;s:10:"Eagle Lake";i:200;s:5:"Eater";i:201;s:9:"Economica";i:202;s:5:"Eczar";i:203;s:8:"Ek Mukta";i:204;s:11:"Electrolize";i:205;s:5:"Elsie";i:206;s:16:"Elsie Swash Caps";i:207;s:11:"Emblema One";i:208;s:12:"Emilys Candy";i:209;s:10:"Engagement";i:210;s:9:"Englebert";i:211;s:9:"Enriqueta";i:212;s:9:"Erica One";i:213;s:7:"Esteban";i:214;s:15:"Euphoria Script";i:215;s:5:"Ewert";i:216;s:3:"Exo";i:217;s:5:"Exo 2";i:218;s:13:"Expletus Sans";i:219;s:12:"Fanwood Text";i:220;s:9:"Fascinate";i:221;s:16:"Fascinate Inline";i:222;s:10:"Faster One";i:223;s:8:"Fasthand";i:224;s:9:"Fauna One";i:225;s:8:"Federant";i:226;s:6:"Federo";i:227;s:6:"Felipa";i:228;s:5:"Fenix";i:229;s:12:"Finger Paint";i:230;s:9:"Fira Mono";i:231;s:9:"Fira Sans";i:232;s:10:"Fjalla One";i:233;s:9:"Fjord One";i:234;s:8:"Flamenco";i:235;s:7:"Flavors";i:236;s:10:"Fondamento";i:237;s:16:"Fontdiner Swanky";i:238;s:5:"Forum";i:239;s:12:"Francois One";i:240;s:12:"Freckle Face";i:241;s:20:"Fredericka the Great";i:242;s:11:"Fredoka One";i:243;s:8:"Freehand";i:244;s:6:"Fresca";i:245;s:7:"Frijole";i:246;s:7:"Fruktur";i:247;s:9:"Fugaz One";i:248;s:9:"GFS Didot";i:249;s:15:"GFS Neohellenic";i:250;s:8:"Gabriela";i:251;s:6:"Gafata";i:252;s:8:"Galdeano";i:253;s:7:"Galindo";i:254;s:13:"Gentium Basic";i:255;s:18:"Gentium Book Basic";i:256;s:3:"Geo";i:257;s:7:"Geostar";i:258;s:12:"Geostar Fill";i:259;s:12:"Germania One";i:260;s:6:"Gidugu";i:261;s:13:"Gilda Display";i:262;s:14:"Give You Glory";i:263;s:13:"Glass Antiqua";i:264;s:6:"Glegoo";i:265;s:17:"Gloria Hallelujah";i:266;s:10:"Goblin One";i:267;s:10:"Gochi Hand";i:268;s:8:"Gorditas";i:269;s:21:"Goudy Bookletter 1911";i:270;s:8:"Graduate";i:271;s:11:"Grand Hotel";i:272;s:12:"Gravitas One";i:273;s:11:"Great Vibes";i:274;s:6:"Griffy";i:275;s:6:"Gruppo";i:276;s:5:"Gudea";i:277;s:8:"Gurajada";i:278;s:6:"Habibi";i:279;s:6:"Halant";i:280;s:15:"Hammersmith One";i:281;s:7:"Hanalei";i:282;s:12:"Hanalei Fill";i:283;s:7:"Handlee";i:284;s:7:"Hanuman";i:285;s:12:"Happy Monkey";i:286;s:12:"Headland One";i:287;s:11:"Henny Penny";i:288;s:20:"Herr Von Muellerhoff";i:289;s:4:"Hind";i:290;s:13:"Hind Siliguri";i:291;s:13:"Hind Vadodara";i:292;s:15:"Holtwood One SC";i:293;s:14:"Homemade Apple";i:294;s:8:"Homenaje";i:295;s:15:"IM Fell DW Pica";i:296;s:18:"IM Fell DW Pica SC";i:297;s:19:"IM Fell Double Pica";i:298;s:22:"IM Fell Double Pica SC";i:299;s:15:"IM Fell English";i:300;s:18:"IM Fell English SC";i:301;s:20:"IM Fell French Canon";i:302;s:23:"IM Fell French Canon SC";i:303;s:20:"IM Fell Great Primer";i:304;s:23:"IM Fell Great Primer SC";i:305;s:7:"Iceberg";i:306;s:7:"Iceland";i:307;s:7:"Imprima";i:308;s:11:"Inconsolata";i:309;s:5:"Inder";i:310;s:12:"Indie Flower";i:311;s:5:"Inika";i:312;s:14:"Inknut Antiqua";i:313;s:12:"Irish Grover";i:314;s:9:"Istok Web";i:315;s:8:"Italiana";i:316;s:9:"Italianno";i:317;s:4:"Itim";i:318;s:16:"Jacques Francois";i:319;s:23:"Jacques Francois Shadow";i:320;s:5:"Jaldi";i:321;s:14:"Jim Nightshade";i:322;s:10:"Jockey One";i:323;s:12:"Jolly Lodger";i:324;s:12:"Josefin Sans";i:325;s:12:"Josefin Slab";i:326;s:8:"Joti One";i:327;s:6:"Judson";i:328;s:5:"Julee";i:329;s:15:"Julius Sans One";i:330;s:5:"Junge";i:331;s:4:"Jura";i:332;s:17:"Just Another Hand";i:333;s:23:"Just Me Again Down Here";i:334;s:5:"Kadwa";i:335;s:5:"Kalam";i:336;s:7:"Kameron";i:337;s:5:"Kanit";i:338;s:9:"Kantumruy";i:339;s:5:"Karla";i:340;s:5:"Karma";i:341;s:14:"Kaushan Script";i:342;s:6:"Kavoon";i:343;s:10:"Kdam Thmor";i:344;s:10:"Keania One";i:345;s:10:"Kelly Slab";i:346;s:5:"Kenia";i:347;s:5:"Khand";i:348;s:5:"Khmer";i:349;s:5:"Khula";i:350;s:8:"Kite One";i:351;s:7:"Knewave";i:352;s:9:"Kotta One";i:353;s:6:"Koulen";i:354;s:6:"Kranky";i:355;s:5:"Kreon";i:356;s:6:"Kristi";i:357;s:9:"Krona One";i:358;s:6:"Kurale";i:359;s:15:"La Belle Aurore";i:360;s:5:"Laila";i:361;s:11:"Lakki Reddy";i:362;s:8:"Lancelot";i:363;s:6:"Lateef";i:364;s:4:"Lato";i:365;s:13:"League Script";i:366;s:12:"Leckerli One";i:367;s:6:"Ledger";i:368;s:6:"Lekton";i:369;s:5:"Lemon";i:370;s:17:"Libre Baskerville";i:371;s:11:"Life Savers";i:372;s:10:"Lilita One";i:373;s:15:"Lily Script One";i:374;s:9:"Limelight";i:375;s:11:"Linden Hill";i:376;s:7:"Lobster";i:377;s:11:"Lobster Two";i:378;s:16:"Londrina Outline";i:379;s:15:"Londrina Shadow";i:380;s:15:"Londrina Sketch";i:381;s:14:"Londrina Solid";i:382;s:4:"Lora";i:383;s:21:"Love Ya Like A Sister";i:384;s:17:"Loved by the King";i:385;s:14:"Lovers Quarrel";i:386;s:12:"Luckiest Guy";i:387;s:8:"Lusitana";i:388;s:7:"Lustria";i:389;s:7:"Macondo";i:390;s:18:"Macondo Swash Caps";i:391;s:5:"Magra";i:392;s:13:"Maiden Orange";i:393;s:4:"Mako";i:394;s:8:"Mallanna";i:395;s:7:"Mandali";i:396;s:9:"Marcellus";i:397;s:12:"Marcellus SC";i:398;s:12:"Marck Script";i:399;s:9:"Margarine";i:400;s:9:"Marko One";i:401;s:8:"Marmelad";i:402;s:6:"Martel";i:403;s:11:"Martel Sans";i:404;s:6:"Marvel";i:405;s:4:"Mate";i:406;s:7:"Mate SC";i:407;s:9:"Maven Pro";i:408;s:7:"McLaren";i:409;s:6:"Meddon";i:410;s:13:"MedievalSharp";i:411;s:10:"Medula One";i:412;s:6:"Megrim";i:413;s:11:"Meie Script";i:414;s:8:"Merienda";i:415;s:12:"Merienda One";i:416;s:12:"Merriweather";i:417;s:17:"Merriweather Sans";i:418;s:5:"Metal";i:419;s:11:"Metal Mania";i:420;s:12:"Metamorphous";i:421;s:11:"Metrophobic";i:422;s:8:"Michroma";i:423;s:7:"Milonga";i:424;s:9:"Miltonian";i:425;s:16:"Miltonian Tattoo";i:426;s:7:"Miniver";i:427;s:14:"Miss Fajardose";i:428;s:5:"Modak";i:429;s:14:"Modern Antiqua";i:430;s:7:"Molengo";i:431;s:5:"Molle";i:432;s:5:"Monda";i:433;s:8:"Monofett";i:434;s:7:"Monoton";i:435;s:20:"Monsieur La Doulaise";i:436;s:7:"Montaga";i:437;s:6:"Montez";i:438;s:10:"Montserrat";i:439;s:21:"Montserrat Alternates";i:440;s:20:"Montserrat Subrayada";i:441;s:4:"Moul";i:442;s:8:"Moulpali";i:443;s:22:"Mountains of Christmas";i:444;s:13:"Mouse Memoirs";i:445;s:10:"Mr Bedfort";i:446;s:8:"Mr Dafoe";i:447;s:14:"Mr De Haviland";i:448;s:19:"Mrs Saint Delafield";i:449;s:13:"Mrs Sheppards";i:450;s:4:"Muli";i:451;s:13:"Mystery Quest";i:452;s:3:"NTR";i:453;s:6:"Neucha";i:454;s:6:"Neuton";i:455;s:10:"New Rocker";i:456;s:10:"News Cycle";i:457;s:7:"Niconne";i:458;s:9:"Nixie One";i:459;s:6:"Nobile";i:460;s:6:"Nokora";i:461;s:7:"Norican";i:462;s:7:"Nosifer";i:463;s:20:"Nothing You Could Do";i:464;s:12:"Noticia Text";i:465;s:9:"Noto Sans";i:466;s:10:"Noto Serif";i:467;s:8:"Nova Cut";i:468;s:9:"Nova Flat";i:469;s:9:"Nova Mono";i:470;s:9:"Nova Oval";i:471;s:10:"Nova Round";i:472;s:11:"Nova Script";i:473;s:9:"Nova Slim";i:474;s:11:"Nova Square";i:475;s:6:"Numans";i:476;s:6:"Nunito";i:477;s:14:"Odor Mean Chey";i:478;s:7:"Offside";i:479;s:15:"Old Standard TT";i:480;s:9:"Oldenburg";i:481;s:11:"Oleo Script";i:482;s:22:"Oleo Script Swash Caps";i:483;s:9:"Open Sans";i:484;s:19:"Open Sans Condensed";i:485;s:11:"Oranienbaum";i:486;s:8:"Orbitron";i:487;s:7:"Oregano";i:488;s:7:"Orienta";i:489;s:15:"Original Surfer";i:490;s:6:"Oswald";i:491;s:16:"Over the Rainbow";i:492;s:8:"Overlock";i:493;s:11:"Overlock SC";i:494;s:3:"Ovo";i:495;s:6:"Oxygen";i:496;s:11:"Oxygen Mono";i:497;s:7:"PT Mono";i:498;s:7:"PT Sans";i:499;s:15:"PT Sans Caption";i:500;s:14:"PT Sans Narrow";i:501;s:8:"PT Serif";i:502;s:16:"PT Serif Caption";i:503;s:8:"Pacifico";i:504;s:9:"Palanquin";i:505;s:14:"Palanquin Dark";i:506;s:7:"Paprika";i:507;s:10:"Parisienne";i:508;s:11:"Passero One";i:509;s:11:"Passion One";i:510;s:18:"Pathway Gothic One";i:511;s:12:"Patrick Hand";i:512;s:15:"Patrick Hand SC";i:513;s:9:"Patua One";i:514;s:11:"Paytone One";i:515;s:7:"Peddana";i:516;s:7:"Peralta";i:517;s:16:"Permanent Marker";i:518;s:19:"Petit Formal Script";i:519;s:7:"Petrona";i:520;s:11:"Philosopher";i:521;s:6:"Piedra";i:522;s:13:"Pinyon Script";i:523;s:10:"Pirata One";i:524;s:7:"Plaster";i:525;s:4:"Play";i:526;s:8:"Playball";i:527;s:16:"Playfair Display";i:528;s:19:"Playfair Display SC";i:529;s:7:"Podkova";i:530;s:10:"Poiret One";i:531;s:10:"Poller One";i:532;s:4:"Poly";i:533;s:8:"Pompiere";i:534;s:12:"Pontano Sans";i:535;s:7:"Poppins";i:536;s:16:"Port Lligat Sans";i:537;s:16:"Port Lligat Slab";i:538;s:14:"Pragati Narrow";i:539;s:5:"Prata";i:540;s:11:"Preahvihear";i:541;s:14:"Press Start 2P";i:542;s:14:"Princess Sofia";i:543;s:8:"Prociono";i:544;s:10:"Prosto One";i:545;s:7:"Puritan";i:546;s:12:"Purple Purse";i:547;s:6:"Quando";i:548;s:8:"Quantico";i:549;s:12:"Quattrocento";i:550;s:17:"Quattrocento Sans";i:551;s:9:"Questrial";i:552;s:9:"Quicksand";i:553;s:14:"Quintessential";i:554;s:7:"Qwigley";i:555;s:15:"Racing Sans One";i:556;s:6:"Radley";i:557;s:8:"Rajdhani";i:558;s:7:"Raleway";i:559;s:12:"Raleway Dots";i:560;s:10:"Ramabhadra";i:561;s:8:"Ramaraja";i:562;s:6:"Rambla";i:563;s:12:"Rammetto One";i:564;s:8:"Ranchers";i:565;s:6:"Rancho";i:566;s:5:"Ranga";i:567;s:9:"Rationale";i:568;s:12:"Ravi Prakash";i:569;s:9:"Redressed";i:570;s:13:"Reenie Beanie";i:571;s:7:"Revalia";i:572;s:13:"Rhodium Libre";i:573;s:6:"Ribeye";i:574;s:13:"Ribeye Marrow";i:575;s:9:"Righteous";i:576;s:6:"Risque";i:577;s:6:"Roboto";i:578;s:16:"Roboto Condensed";i:579;s:11:"Roboto Mono";i:580;s:11:"Roboto Slab";i:581;s:9:"Rochester";i:582;s:9:"Rock Salt";i:583;s:7:"Rokkitt";i:584;s:9:"Romanesco";i:585;s:9:"Ropa Sans";i:586;s:7:"Rosario";i:587;s:8:"Rosarivo";i:588;s:12:"Rouge Script";i:589;s:9:"Rozha One";i:590;s:5:"Rubik";i:591;s:14:"Rubik Mono One";i:592;s:9:"Rubik One";i:593;s:4:"Ruda";i:594;s:6:"Rufina";i:595;s:11:"Ruge Boogie";i:596;s:6:"Ruluko";i:597;s:10:"Rum Raisin";i:598;s:14:"Ruslan Display";i:599;s:9:"Russo One";i:600;s:6:"Ruthie";i:601;s:3:"Rye";i:602;s:10:"Sacramento";i:603;s:7:"Sahitya";i:604;s:4:"Sail";i:605;s:5:"Salsa";i:606;s:7:"Sanchez";i:607;s:8:"Sancreek";i:608;s:11:"Sansita One";i:609;s:6:"Sarala";i:610;s:6:"Sarina";i:611;s:8:"Sarpanch";i:612;s:7:"Satisfy";i:613;s:5:"Scada";i:614;s:12:"Scheherazade";i:615;s:10:"Schoolbell";i:616;s:14:"Seaweed Script";i:617;s:9:"Sevillana";i:618;s:11:"Seymour One";i:619;s:18:"Shadows Into Light";i:620;s:22:"Shadows Into Light Two";i:621;s:6:"Shanti";i:622;s:5:"Share";i:623;s:10:"Share Tech";i:624;s:15:"Share Tech Mono";i:625;s:9:"Shojumaru";i:626;s:11:"Short Stack";i:627;s:8:"Siemreap";i:628;s:10:"Sigmar One";i:629;s:7:"Signika";i:630;s:16:"Signika Negative";i:631;s:9:"Simonetta";i:632;s:7:"Sintony";i:633;s:13:"Sirin Stencil";i:634;s:8:"Six Caps";i:635;s:7:"Skranji";i:636;s:10:"Slabo 13px";i:637;s:10:"Slabo 27px";i:638;s:7:"Slackey";i:639;s:6:"Smokum";i:640;s:6:"Smythe";i:641;s:7:"Sniglet";i:642;s:7:"Snippet";i:643;s:13:"Snowburst One";i:644;s:10:"Sofadi One";i:645;s:5:"Sofia";i:646;s:10:"Sonsie One";i:647;s:16:"Sorts Mill Goudy";i:648;s:15:"Source Code Pro";i:649;s:15:"Source Sans Pro";i:650;s:16:"Source Serif Pro";i:651;s:13:"Special Elite";i:652;s:10:"Spicy Rice";i:653;s:9:"Spinnaker";i:654;s:6:"Spirax";i:655;s:10:"Squada One";i:656;s:20:"Sree Krushnadevaraya";i:657;s:9:"Stalemate";i:658;s:13:"Stalinist One";i:659;s:15:"Stardos Stencil";i:660;s:21:"Stint Ultra Condensed";i:661;s:20:"Stint Ultra Expanded";i:662;s:5:"Stoke";i:663;s:6:"Strait";i:664;s:19:"Sue Ellen Francisco";i:665;s:6:"Sumana";i:666;s:9:"Sunshiney";i:667;s:16:"Supermercado One";i:668;s:4:"Sura";i:669;s:7:"Suranna";i:670;s:9:"Suravaram";i:671;s:11:"Suwannaphum";i:672;s:18:"Swanky and Moo Moo";i:673;s:9:"Syncopate";i:674;s:9:"Tangerine";i:675;s:6:"Taprom";i:676;s:5:"Tauri";i:677;s:4:"Teko";i:678;s:5:"Telex";i:679;s:18:"Tenali Ramakrishna";i:680;s:10:"Tenor Sans";i:681;s:11:"Text Me One";i:682;s:18:"The Girl Next Door";i:683;s:6:"Tienne";i:684;s:7:"Tillana";i:685;s:7:"Timmana";i:686;s:5:"Tinos";i:687;s:9:"Titan One";i:688;s:13:"Titillium Web";i:689;s:11:"Trade Winds";i:690;s:7:"Trocchi";i:691;s:7:"Trochut";i:692;s:7:"Trykker";i:693;s:10:"Tulpen One";i:694;s:6:"Ubuntu";i:695;s:16:"Ubuntu Condensed";i:696;s:11:"Ubuntu Mono";i:697;s:5:"Ultra";i:698;s:14:"Uncial Antiqua";i:699;s:8:"Underdog";i:700;s:9:"Unica One";i:701;s:14:"UnifrakturCook";i:702;s:18:"UnifrakturMaguntia";i:703;s:7:"Unkempt";i:704;s:6:"Unlock";i:705;s:4:"Unna";i:706;s:5:"VT323";i:707;s:11:"Vampiro One";i:708;s:6:"Varela";i:709;s:12:"Varela Round";i:710;s:11:"Vast Shadow";i:711;s:12:"Vesper Libre";i:712;s:5:"Vibur";i:713;s:8:"Vidaloka";i:714;s:4:"Viga";i:715;s:5:"Voces";i:716;s:7:"Volkhov";i:717;s:8:"Vollkorn";i:718;s:8:"Voltaire";i:719;s:23:"Waiting for the Sunrise";i:720;s:8:"Wallpoet";i:721;s:15:"Walter Turncoat";i:722;s:6:"Warnes";i:723;s:9:"Wellfleet";i:724;s:9:"Wendy One";i:725;s:8:"Wire One";i:726;s:9:"Work Sans";i:727;s:17:"Yanone Kaffeesatz";i:728;s:11:"Yantramanav";i:729;s:10:"Yellowtail";i:730;s:10:"Yeseva One";i:731;s:10:"Yesteryear";i:732;s:6:"Zeyada";}';
}


/**
 * Google Web Fonts Variants
 * 
 * @return string A serialized array in the format array( 'id' => $key, 'text' => $font['variants'] ) compatible with "Select2" library
 */
function udesign_google_fonts_variants() {
    return 'a:733:{i:0;a:2:{s:2:"id";i:0;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:1;a:2:{s:2:"id";i:1;s:4:"text";a:1:{i:0;s:7:"regular";}}i:2;a:2:{s:2:"id";i:2;s:4:"text";a:1:{i:0;s:7:"regular";}}i:3;a:2:{s:2:"id";i:3;s:4:"text";a:1:{i:0;s:7:"regular";}}i:4;a:2:{s:2:"id";i:4;s:4:"text";a:1:{i:0;s:7:"regular";}}i:5;a:2:{s:2:"id";i:5;s:4:"text";a:1:{i:0;s:7:"regular";}}i:6;a:2:{s:2:"id";i:6;s:4:"text";a:1:{i:0;s:7:"regular";}}i:7;a:2:{s:2:"id";i:7;s:4:"text";a:7:{i:0;s:3:"100";i:1;s:3:"200";i:2;s:3:"300";i:3;s:7:"regular";i:4;s:3:"500";i:5;s:3:"600";i:6;s:3:"700";}}i:8;a:2:{s:2:"id";i:8;s:4:"text";a:1:{i:0;s:7:"regular";}}i:9;a:2:{s:2:"id";i:9;s:4:"text";a:1:{i:0;s:7:"regular";}}i:10;a:2:{s:2:"id";i:10;s:4:"text";a:1:{i:0;s:7:"regular";}}i:11;a:2:{s:2:"id";i:11;s:4:"text";a:1:{i:0;s:7:"regular";}}i:12;a:2:{s:2:"id";i:12;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:13;a:2:{s:2:"id";i:13;s:4:"text";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}}i:14;a:2:{s:2:"id";i:14;s:4:"text";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}}i:15;a:2:{s:2:"id";i:15;s:4:"text";a:14:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"500";i:7;s:9:"500italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"800";i:11;s:9:"800italic";i:12;s:3:"900";i:13;s:9:"900italic";}}i:16;a:2:{s:2:"id";i:16;s:4:"text";a:14:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"500";i:7;s:9:"500italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"800";i:11;s:9:"800italic";i:12;s:3:"900";i:13;s:9:"900italic";}}i:17;a:2:{s:2:"id";i:17;s:4:"text";a:1:{i:0;s:7:"regular";}}i:18;a:2:{s:2:"id";i:18;s:4:"text";a:1:{i:0;s:7:"regular";}}i:19;a:2:{s:2:"id";i:19;s:4:"text";a:1:{i:0;s:7:"regular";}}i:20;a:2:{s:2:"id";i:20;s:4:"text";a:1:{i:0;s:7:"regular";}}i:21;a:2:{s:2:"id";i:21;s:4:"text";a:1:{i:0;s:7:"regular";}}i:22;a:2:{s:2:"id";i:22;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:23;a:2:{s:2:"id";i:23;s:4:"text";a:1:{i:0;s:7:"regular";}}i:24;a:2:{s:2:"id";i:24;s:4:"text";a:1:{i:0;s:7:"regular";}}i:25;a:2:{s:2:"id";i:25;s:4:"text";a:1:{i:0;s:7:"regular";}}i:26;a:2:{s:2:"id";i:26;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:27;a:2:{s:2:"id";i:27;s:4:"text";a:1:{i:0;s:7:"regular";}}i:28;a:2:{s:2:"id";i:28;s:4:"text";a:1:{i:0;s:7:"regular";}}i:29;a:2:{s:2:"id";i:29;s:4:"text";a:1:{i:0;s:7:"regular";}}i:30;a:2:{s:2:"id";i:30;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:31;a:2:{s:2:"id";i:31;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:32;a:2:{s:2:"id";i:32;s:4:"text";a:1:{i:0;s:7:"regular";}}i:33;a:2:{s:2:"id";i:33;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:34;a:2:{s:2:"id";i:34;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:35;a:2:{s:2:"id";i:35;s:4:"text";a:1:{i:0;s:7:"regular";}}i:36;a:2:{s:2:"id";i:36;s:4:"text";a:1:{i:0;s:7:"regular";}}i:37;a:2:{s:2:"id";i:37;s:4:"text";a:1:{i:0;s:7:"regular";}}i:38;a:2:{s:2:"id";i:38;s:4:"text";a:1:{i:0;s:7:"regular";}}i:39;a:2:{s:2:"id";i:39;s:4:"text";a:1:{i:0;s:7:"regular";}}i:40;a:2:{s:2:"id";i:40;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:41;a:2:{s:2:"id";i:41;s:4:"text";a:1:{i:0;s:7:"regular";}}i:42;a:2:{s:2:"id";i:42;s:4:"text";a:1:{i:0;s:7:"regular";}}i:43;a:2:{s:2:"id";i:43;s:4:"text";a:1:{i:0;s:7:"regular";}}i:44;a:2:{s:2:"id";i:44;s:4:"text";a:1:{i:0;s:7:"regular";}}i:45;a:2:{s:2:"id";i:45;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:46;a:2:{s:2:"id";i:46;s:4:"text";a:1:{i:0;s:7:"regular";}}i:47;a:2:{s:2:"id";i:47;s:4:"text";a:1:{i:0;s:7:"regular";}}i:48;a:2:{s:2:"id";i:48;s:4:"text";a:1:{i:0;s:7:"regular";}}i:49;a:2:{s:2:"id";i:49;s:4:"text";a:1:{i:0;s:7:"regular";}}i:50;a:2:{s:2:"id";i:50;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:51;a:2:{s:2:"id";i:51;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:52;a:2:{s:2:"id";i:52;s:4:"text";a:1:{i:0;s:7:"regular";}}i:53;a:2:{s:2:"id";i:53;s:4:"text";a:1:{i:0;s:7:"regular";}}i:54;a:2:{s:2:"id";i:54;s:4:"text";a:1:{i:0;s:7:"regular";}}i:55;a:2:{s:2:"id";i:55;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:56;a:2:{s:2:"id";i:56;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:57;a:2:{s:2:"id";i:57;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:58;a:2:{s:2:"id";i:58;s:4:"text";a:1:{i:0;s:7:"regular";}}i:59;a:2:{s:2:"id";i:59;s:4:"text";a:1:{i:0;s:7:"regular";}}i:60;a:2:{s:2:"id";i:60;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:61;a:2:{s:2:"id";i:61;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:62;a:2:{s:2:"id";i:62;s:4:"text";a:1:{i:0;s:7:"regular";}}i:63;a:2:{s:2:"id";i:63;s:4:"text";a:1:{i:0;s:7:"regular";}}i:64;a:2:{s:2:"id";i:64;s:4:"text";a:1:{i:0;s:7:"regular";}}i:65;a:2:{s:2:"id";i:65;s:4:"text";a:1:{i:0;s:7:"regular";}}i:66;a:2:{s:2:"id";i:66;s:4:"text";a:1:{i:0;s:7:"regular";}}i:67;a:2:{s:2:"id";i:67;s:4:"text";a:1:{i:0;s:7:"regular";}}i:68;a:2:{s:2:"id";i:68;s:4:"text";a:1:{i:0;s:7:"regular";}}i:69;a:2:{s:2:"id";i:69;s:4:"text";a:6:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";}}i:70;a:2:{s:2:"id";i:70;s:4:"text";a:6:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";}}i:71;a:2:{s:2:"id";i:71;s:4:"text";a:6:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";}}i:72;a:2:{s:2:"id";i:72;s:4:"text";a:1:{i:0;s:7:"regular";}}i:73;a:2:{s:2:"id";i:73;s:4:"text";a:1:{i:0;s:7:"regular";}}i:74;a:2:{s:2:"id";i:74;s:4:"text";a:1:{i:0;s:7:"regular";}}i:75;a:2:{s:2:"id";i:75;s:4:"text";a:1:{i:0;s:7:"regular";}}i:76;a:2:{s:2:"id";i:76;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:77;a:2:{s:2:"id";i:77;s:4:"text";a:1:{i:0;s:7:"regular";}}i:78;a:2:{s:2:"id";i:78;s:4:"text";a:1:{i:0;s:7:"regular";}}i:79;a:2:{s:2:"id";i:79;s:4:"text";a:1:{i:0;s:7:"regular";}}i:80;a:2:{s:2:"id";i:80;s:4:"text";a:1:{i:0;s:7:"regular";}}i:81;a:2:{s:2:"id";i:81;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}}i:82;a:2:{s:2:"id";i:82;s:4:"text";a:1:{i:0;s:7:"regular";}}i:83;a:2:{s:2:"id";i:83;s:4:"text";a:1:{i:0;s:7:"regular";}}i:84;a:2:{s:2:"id";i:84;s:4:"text";a:1:{i:0;s:7:"regular";}}i:85;a:2:{s:2:"id";i:85;s:4:"text";a:1:{i:0;s:7:"regular";}}i:86;a:2:{s:2:"id";i:86;s:4:"text";a:1:{i:0;s:7:"regular";}}i:87;a:2:{s:2:"id";i:87;s:4:"text";a:1:{i:0;s:7:"regular";}}i:88;a:2:{s:2:"id";i:88;s:4:"text";a:1:{i:0;s:7:"regular";}}i:89;a:2:{s:2:"id";i:89;s:4:"text";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"600";i:4;s:3:"700";i:5;s:3:"800";i:6;s:3:"900";}}i:90;a:2:{s:2:"id";i:90;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}}i:91;a:2:{s:2:"id";i:91;s:4:"text";a:1:{i:0;s:7:"regular";}}i:92;a:2:{s:2:"id";i:92;s:4:"text";a:1:{i:0;s:7:"regular";}}i:93;a:2:{s:2:"id";i:93;s:4:"text";a:1:{i:0;s:7:"regular";}}i:94;a:2:{s:2:"id";i:94;s:4:"text";a:1:{i:0;s:7:"regular";}}i:95;a:2:{s:2:"id";i:95;s:4:"text";a:1:{i:0;s:7:"regular";}}i:96;a:2:{s:2:"id";i:96;s:4:"text";a:1:{i:0;s:7:"regular";}}i:97;a:2:{s:2:"id";i:97;s:4:"text";a:1:{i:0;s:7:"regular";}}i:98;a:2:{s:2:"id";i:98;s:4:"text";a:1:{i:0;s:7:"regular";}}i:99;a:2:{s:2:"id";i:99;s:4:"text";a:1:{i:0;s:7:"regular";}}i:100;a:2:{s:2:"id";i:100;s:4:"text";a:1:{i:0;s:7:"regular";}}i:101;a:2:{s:2:"id";i:101;s:4:"text";a:1:{i:0;s:3:"300";}}i:102;a:2:{s:2:"id";i:102;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:103;a:2:{s:2:"id";i:103;s:4:"text";a:1:{i:0;s:7:"regular";}}i:104;a:2:{s:2:"id";i:104;s:4:"text";a:1:{i:0;s:7:"regular";}}i:105;a:2:{s:2:"id";i:105;s:4:"text";a:8:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"500";i:3;s:9:"500italic";i:4;s:3:"600";i:5;s:9:"600italic";i:6;s:3:"700";i:7;s:9:"700italic";}}i:106;a:2:{s:2:"id";i:106;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";}}i:107;a:2:{s:2:"id";i:107;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:108;a:2:{s:2:"id";i:108;s:4:"text";a:1:{i:0;s:7:"regular";}}i:109;a:2:{s:2:"id";i:109;s:4:"text";a:1:{i:0;s:7:"regular";}}i:110;a:2:{s:2:"id";i:110;s:4:"text";a:1:{i:0;s:7:"regular";}}i:111;a:2:{s:2:"id";i:111;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:112;a:2:{s:2:"id";i:112;s:4:"text";a:1:{i:0;s:7:"regular";}}i:113;a:2:{s:2:"id";i:113;s:4:"text";a:1:{i:0;s:7:"regular";}}i:114;a:2:{s:2:"id";i:114;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:115;a:2:{s:2:"id";i:115;s:4:"text";a:1:{i:0;s:7:"regular";}}i:116;a:2:{s:2:"id";i:116;s:4:"text";a:1:{i:0;s:7:"regular";}}i:117;a:2:{s:2:"id";i:117;s:4:"text";a:1:{i:0;s:7:"regular";}}i:118;a:2:{s:2:"id";i:118;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}}i:119;a:2:{s:2:"id";i:119;s:4:"text";a:1:{i:0;s:7:"regular";}}i:120;a:2:{s:2:"id";i:120;s:4:"text";a:1:{i:0;s:7:"regular";}}i:121;a:2:{s:2:"id";i:121;s:4:"text";a:1:{i:0;s:7:"regular";}}i:122;a:2:{s:2:"id";i:122;s:4:"text";a:1:{i:0;s:7:"regular";}}i:123;a:2:{s:2:"id";i:123;s:4:"text";a:9:{i:0;s:3:"100";i:1;s:3:"200";i:2;s:3:"300";i:3;s:7:"regular";i:4;s:3:"500";i:5;s:3:"600";i:6;s:3:"700";i:7;s:3:"800";i:8;s:3:"900";}}i:124;a:2:{s:2:"id";i:124;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:125;a:2:{s:2:"id";i:125;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:126;a:2:{s:2:"id";i:126;s:4:"text";a:1:{i:0;s:7:"regular";}}i:127;a:2:{s:2:"id";i:127;s:4:"text";a:1:{i:0;s:7:"regular";}}i:128;a:2:{s:2:"id";i:128;s:4:"text";a:1:{i:0;s:7:"regular";}}i:129;a:2:{s:2:"id";i:129;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:130;a:2:{s:2:"id";i:130;s:4:"text";a:1:{i:0;s:7:"regular";}}i:131;a:2:{s:2:"id";i:131;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:132;a:2:{s:2:"id";i:132;s:4:"text";a:1:{i:0;s:7:"regular";}}i:133;a:2:{s:2:"id";i:133;s:4:"text";a:1:{i:0;s:7:"regular";}}i:134;a:2:{s:2:"id";i:134;s:4:"text";a:1:{i:0;s:7:"regular";}}i:135;a:2:{s:2:"id";i:135;s:4:"text";a:1:{i:0;s:7:"regular";}}i:136;a:2:{s:2:"id";i:136;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:137;a:2:{s:2:"id";i:137;s:4:"text";a:1:{i:0;s:7:"regular";}}i:138;a:2:{s:2:"id";i:138;s:4:"text";a:1:{i:0;s:7:"regular";}}i:139;a:2:{s:2:"id";i:139;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"900";i:3;s:9:"900italic";}}i:140;a:2:{s:2:"id";i:140;s:4:"text";a:1:{i:0;s:7:"regular";}}i:141;a:2:{s:2:"id";i:141;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}}i:142;a:2:{s:2:"id";i:142;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}}i:143;a:2:{s:2:"id";i:143;s:4:"text";a:1:{i:0;s:7:"regular";}}i:144;a:2:{s:2:"id";i:144;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"800";}}i:145;a:2:{s:2:"id";i:145;s:4:"text";a:1:{i:0;s:3:"800";}}i:146;a:2:{s:2:"id";i:146;s:4:"text";a:2:{i:0;s:3:"300";i:1;s:7:"regular";}}i:147;a:2:{s:2:"id";i:147;s:4:"text";a:1:{i:0;s:7:"regular";}}i:148;a:2:{s:2:"id";i:148;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}}i:149;a:2:{s:2:"id";i:149;s:4:"text";a:1:{i:0;s:7:"regular";}}i:150;a:2:{s:2:"id";i:150;s:4:"text";a:1:{i:0;s:7:"regular";}}i:151;a:2:{s:2:"id";i:151;s:4:"text";a:1:{i:0;s:7:"regular";}}i:152;a:2:{s:2:"id";i:152;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:153;a:2:{s:2:"id";i:153;s:4:"text";a:1:{i:0;s:7:"regular";}}i:154;a:2:{s:2:"id";i:154;s:4:"text";a:1:{i:0;s:7:"regular";}}i:155;a:2:{s:2:"id";i:155;s:4:"text";a:1:{i:0;s:7:"regular";}}i:156;a:2:{s:2:"id";i:156;s:4:"text";a:1:{i:0;s:7:"regular";}}i:157;a:2:{s:2:"id";i:157;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:158;a:2:{s:2:"id";i:158;s:4:"text";a:1:{i:0;s:7:"regular";}}i:159;a:2:{s:2:"id";i:159;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:160;a:2:{s:2:"id";i:160;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"900";}}i:161;a:2:{s:2:"id";i:161;s:4:"text";a:1:{i:0;s:7:"regular";}}i:162;a:2:{s:2:"id";i:162;s:4:"text";a:1:{i:0;s:7:"regular";}}i:163;a:2:{s:2:"id";i:163;s:4:"text";a:1:{i:0;s:7:"regular";}}i:164;a:2:{s:2:"id";i:164;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:165;a:2:{s:2:"id";i:165;s:4:"text";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"600";i:3;s:9:"600italic";i:4;s:3:"700";i:5;s:9:"700italic";}}i:166;a:2:{s:2:"id";i:166;s:4:"text";a:1:{i:0;s:7:"regular";}}i:167;a:2:{s:2:"id";i:167;s:4:"text";a:1:{i:0;s:7:"regular";}}i:168;a:2:{s:2:"id";i:168;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:169;a:2:{s:2:"id";i:169;s:4:"text";a:1:{i:0;s:7:"regular";}}i:170;a:2:{s:2:"id";i:170;s:4:"text";a:1:{i:0;s:7:"regular";}}i:171;a:2:{s:2:"id";i:171;s:4:"text";a:1:{i:0;s:7:"regular";}}i:172;a:2:{s:2:"id";i:172;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:173;a:2:{s:2:"id";i:173;s:4:"text";a:1:{i:0;s:7:"regular";}}i:174;a:2:{s:2:"id";i:174;s:4:"text";a:1:{i:0;s:7:"regular";}}i:175;a:2:{s:2:"id";i:175;s:4:"text";a:1:{i:0;s:7:"regular";}}i:176;a:2:{s:2:"id";i:176;s:4:"text";a:1:{i:0;s:7:"regular";}}i:177;a:2:{s:2:"id";i:177;s:4:"text";a:1:{i:0;s:7:"regular";}}i:178;a:2:{s:2:"id";i:178;s:4:"text";a:1:{i:0;s:7:"regular";}}i:179;a:2:{s:2:"id";i:179;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:180;a:2:{s:2:"id";i:180;s:4:"text";a:1:{i:0;s:7:"regular";}}i:181;a:2:{s:2:"id";i:181;s:4:"text";a:1:{i:0;s:7:"regular";}}i:182;a:2:{s:2:"id";i:182;s:4:"text";a:1:{i:0;s:7:"regular";}}i:183;a:2:{s:2:"id";i:183;s:4:"text";a:1:{i:0;s:7:"regular";}}i:184;a:2:{s:2:"id";i:184;s:4:"text";a:1:{i:0;s:7:"regular";}}i:185;a:2:{s:2:"id";i:185;s:4:"text";a:1:{i:0;s:7:"regular";}}i:186;a:2:{s:2:"id";i:186;s:4:"text";a:1:{i:0;s:7:"regular";}}i:187;a:2:{s:2:"id";i:187;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:188;a:2:{s:2:"id";i:188;s:4:"text";a:1:{i:0;s:7:"regular";}}i:189;a:2:{s:2:"id";i:189;s:4:"text";a:1:{i:0;s:7:"regular";}}i:190;a:2:{s:2:"id";i:190;s:4:"text";a:1:{i:0;s:7:"regular";}}i:191;a:2:{s:2:"id";i:191;s:4:"text";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"500";i:4;s:3:"600";i:5;s:3:"700";i:6;s:3:"800";}}i:192;a:2:{s:2:"id";i:192;s:4:"text";a:1:{i:0;s:7:"regular";}}i:193;a:2:{s:2:"id";i:193;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:194;a:2:{s:2:"id";i:194;s:4:"text";a:1:{i:0;s:7:"regular";}}i:195;a:2:{s:2:"id";i:195;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:196;a:2:{s:2:"id";i:196;s:4:"text";a:1:{i:0;s:7:"regular";}}i:197;a:2:{s:2:"id";i:197;s:4:"text";a:1:{i:0;s:7:"regular";}}i:198;a:2:{s:2:"id";i:198;s:4:"text";a:1:{i:0;s:7:"regular";}}i:199;a:2:{s:2:"id";i:199;s:4:"text";a:1:{i:0;s:7:"regular";}}i:200;a:2:{s:2:"id";i:200;s:4:"text";a:1:{i:0;s:7:"regular";}}i:201;a:2:{s:2:"id";i:201;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:202;a:2:{s:2:"id";i:202;s:4:"text";a:5:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";i:4;s:3:"800";}}i:203;a:2:{s:2:"id";i:203;s:4:"text";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"500";i:4;s:3:"600";i:5;s:3:"700";i:6;s:3:"800";}}i:204;a:2:{s:2:"id";i:204;s:4:"text";a:1:{i:0;s:7:"regular";}}i:205;a:2:{s:2:"id";i:205;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"900";}}i:206;a:2:{s:2:"id";i:206;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"900";}}i:207;a:2:{s:2:"id";i:207;s:4:"text";a:1:{i:0;s:7:"regular";}}i:208;a:2:{s:2:"id";i:208;s:4:"text";a:1:{i:0;s:7:"regular";}}i:209;a:2:{s:2:"id";i:209;s:4:"text";a:1:{i:0;s:7:"regular";}}i:210;a:2:{s:2:"id";i:210;s:4:"text";a:1:{i:0;s:7:"regular";}}i:211;a:2:{s:2:"id";i:211;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:212;a:2:{s:2:"id";i:212;s:4:"text";a:1:{i:0;s:7:"regular";}}i:213;a:2:{s:2:"id";i:213;s:4:"text";a:1:{i:0;s:7:"regular";}}i:214;a:2:{s:2:"id";i:214;s:4:"text";a:1:{i:0;s:7:"regular";}}i:215;a:2:{s:2:"id";i:215;s:4:"text";a:1:{i:0;s:7:"regular";}}i:216;a:2:{s:2:"id";i:216;s:4:"text";a:18:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"200";i:3;s:9:"200italic";i:4;s:3:"300";i:5;s:9:"300italic";i:6;s:7:"regular";i:7;s:6:"italic";i:8;s:3:"500";i:9;s:9:"500italic";i:10;s:3:"600";i:11;s:9:"600italic";i:12;s:3:"700";i:13;s:9:"700italic";i:14;s:3:"800";i:15;s:9:"800italic";i:16;s:3:"900";i:17;s:9:"900italic";}}i:217;a:2:{s:2:"id";i:217;s:4:"text";a:18:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"200";i:3;s:9:"200italic";i:4;s:3:"300";i:5;s:9:"300italic";i:6;s:7:"regular";i:7;s:6:"italic";i:8;s:3:"500";i:9;s:9:"500italic";i:10;s:3:"600";i:11;s:9:"600italic";i:12;s:3:"700";i:13;s:9:"700italic";i:14;s:3:"800";i:15;s:9:"800italic";i:16;s:3:"900";i:17;s:9:"900italic";}}i:218;a:2:{s:2:"id";i:218;s:4:"text";a:8:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"500";i:3;s:9:"500italic";i:4;s:3:"600";i:5;s:9:"600italic";i:6;s:3:"700";i:7;s:9:"700italic";}}i:219;a:2:{s:2:"id";i:219;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:220;a:2:{s:2:"id";i:220;s:4:"text";a:1:{i:0;s:7:"regular";}}i:221;a:2:{s:2:"id";i:221;s:4:"text";a:1:{i:0;s:7:"regular";}}i:222;a:2:{s:2:"id";i:222;s:4:"text";a:1:{i:0;s:7:"regular";}}i:223;a:2:{s:2:"id";i:223;s:4:"text";a:1:{i:0;s:7:"regular";}}i:224;a:2:{s:2:"id";i:224;s:4:"text";a:1:{i:0;s:7:"regular";}}i:225;a:2:{s:2:"id";i:225;s:4:"text";a:1:{i:0;s:7:"regular";}}i:226;a:2:{s:2:"id";i:226;s:4:"text";a:1:{i:0;s:7:"regular";}}i:227;a:2:{s:2:"id";i:227;s:4:"text";a:1:{i:0;s:7:"regular";}}i:228;a:2:{s:2:"id";i:228;s:4:"text";a:1:{i:0;s:7:"regular";}}i:229;a:2:{s:2:"id";i:229;s:4:"text";a:1:{i:0;s:7:"regular";}}i:230;a:2:{s:2:"id";i:230;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:231;a:2:{s:2:"id";i:231;s:4:"text";a:8:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"500";i:5;s:9:"500italic";i:6;s:3:"700";i:7;s:9:"700italic";}}i:232;a:2:{s:2:"id";i:232;s:4:"text";a:1:{i:0;s:7:"regular";}}i:233;a:2:{s:2:"id";i:233;s:4:"text";a:1:{i:0;s:7:"regular";}}i:234;a:2:{s:2:"id";i:234;s:4:"text";a:2:{i:0;s:3:"300";i:1;s:7:"regular";}}i:235;a:2:{s:2:"id";i:235;s:4:"text";a:1:{i:0;s:7:"regular";}}i:236;a:2:{s:2:"id";i:236;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:237;a:2:{s:2:"id";i:237;s:4:"text";a:1:{i:0;s:7:"regular";}}i:238;a:2:{s:2:"id";i:238;s:4:"text";a:1:{i:0;s:7:"regular";}}i:239;a:2:{s:2:"id";i:239;s:4:"text";a:1:{i:0;s:7:"regular";}}i:240;a:2:{s:2:"id";i:240;s:4:"text";a:1:{i:0;s:7:"regular";}}i:241;a:2:{s:2:"id";i:241;s:4:"text";a:1:{i:0;s:7:"regular";}}i:242;a:2:{s:2:"id";i:242;s:4:"text";a:1:{i:0;s:7:"regular";}}i:243;a:2:{s:2:"id";i:243;s:4:"text";a:1:{i:0;s:7:"regular";}}i:244;a:2:{s:2:"id";i:244;s:4:"text";a:1:{i:0;s:7:"regular";}}i:245;a:2:{s:2:"id";i:245;s:4:"text";a:1:{i:0;s:7:"regular";}}i:246;a:2:{s:2:"id";i:246;s:4:"text";a:1:{i:0;s:7:"regular";}}i:247;a:2:{s:2:"id";i:247;s:4:"text";a:1:{i:0;s:7:"regular";}}i:248;a:2:{s:2:"id";i:248;s:4:"text";a:1:{i:0;s:7:"regular";}}i:249;a:2:{s:2:"id";i:249;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:250;a:2:{s:2:"id";i:250;s:4:"text";a:1:{i:0;s:7:"regular";}}i:251;a:2:{s:2:"id";i:251;s:4:"text";a:1:{i:0;s:7:"regular";}}i:252;a:2:{s:2:"id";i:252;s:4:"text";a:1:{i:0;s:7:"regular";}}i:253;a:2:{s:2:"id";i:253;s:4:"text";a:1:{i:0;s:7:"regular";}}i:254;a:2:{s:2:"id";i:254;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:255;a:2:{s:2:"id";i:255;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:256;a:2:{s:2:"id";i:256;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:257;a:2:{s:2:"id";i:257;s:4:"text";a:1:{i:0;s:7:"regular";}}i:258;a:2:{s:2:"id";i:258;s:4:"text";a:1:{i:0;s:7:"regular";}}i:259;a:2:{s:2:"id";i:259;s:4:"text";a:1:{i:0;s:7:"regular";}}i:260;a:2:{s:2:"id";i:260;s:4:"text";a:1:{i:0;s:7:"regular";}}i:261;a:2:{s:2:"id";i:261;s:4:"text";a:1:{i:0;s:7:"regular";}}i:262;a:2:{s:2:"id";i:262;s:4:"text";a:1:{i:0;s:7:"regular";}}i:263;a:2:{s:2:"id";i:263;s:4:"text";a:1:{i:0;s:7:"regular";}}i:264;a:2:{s:2:"id";i:264;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:265;a:2:{s:2:"id";i:265;s:4:"text";a:1:{i:0;s:7:"regular";}}i:266;a:2:{s:2:"id";i:266;s:4:"text";a:1:{i:0;s:7:"regular";}}i:267;a:2:{s:2:"id";i:267;s:4:"text";a:1:{i:0;s:7:"regular";}}i:268;a:2:{s:2:"id";i:268;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:269;a:2:{s:2:"id";i:269;s:4:"text";a:1:{i:0;s:7:"regular";}}i:270;a:2:{s:2:"id";i:270;s:4:"text";a:1:{i:0;s:7:"regular";}}i:271;a:2:{s:2:"id";i:271;s:4:"text";a:1:{i:0;s:7:"regular";}}i:272;a:2:{s:2:"id";i:272;s:4:"text";a:1:{i:0;s:7:"regular";}}i:273;a:2:{s:2:"id";i:273;s:4:"text";a:1:{i:0;s:7:"regular";}}i:274;a:2:{s:2:"id";i:274;s:4:"text";a:1:{i:0;s:7:"regular";}}i:275;a:2:{s:2:"id";i:275;s:4:"text";a:1:{i:0;s:7:"regular";}}i:276;a:2:{s:2:"id";i:276;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}}i:277;a:2:{s:2:"id";i:277;s:4:"text";a:1:{i:0;s:7:"regular";}}i:278;a:2:{s:2:"id";i:278;s:4:"text";a:1:{i:0;s:7:"regular";}}i:279;a:2:{s:2:"id";i:279;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:280;a:2:{s:2:"id";i:280;s:4:"text";a:1:{i:0;s:7:"regular";}}i:281;a:2:{s:2:"id";i:281;s:4:"text";a:1:{i:0;s:7:"regular";}}i:282;a:2:{s:2:"id";i:282;s:4:"text";a:1:{i:0;s:7:"regular";}}i:283;a:2:{s:2:"id";i:283;s:4:"text";a:1:{i:0;s:7:"regular";}}i:284;a:2:{s:2:"id";i:284;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:285;a:2:{s:2:"id";i:285;s:4:"text";a:1:{i:0;s:7:"regular";}}i:286;a:2:{s:2:"id";i:286;s:4:"text";a:1:{i:0;s:7:"regular";}}i:287;a:2:{s:2:"id";i:287;s:4:"text";a:1:{i:0;s:7:"regular";}}i:288;a:2:{s:2:"id";i:288;s:4:"text";a:1:{i:0;s:7:"regular";}}i:289;a:2:{s:2:"id";i:289;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:290;a:2:{s:2:"id";i:290;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:291;a:2:{s:2:"id";i:291;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:292;a:2:{s:2:"id";i:292;s:4:"text";a:1:{i:0;s:7:"regular";}}i:293;a:2:{s:2:"id";i:293;s:4:"text";a:1:{i:0;s:7:"regular";}}i:294;a:2:{s:2:"id";i:294;s:4:"text";a:1:{i:0;s:7:"regular";}}i:295;a:2:{s:2:"id";i:295;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:296;a:2:{s:2:"id";i:296;s:4:"text";a:1:{i:0;s:7:"regular";}}i:297;a:2:{s:2:"id";i:297;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:298;a:2:{s:2:"id";i:298;s:4:"text";a:1:{i:0;s:7:"regular";}}i:299;a:2:{s:2:"id";i:299;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:300;a:2:{s:2:"id";i:300;s:4:"text";a:1:{i:0;s:7:"regular";}}i:301;a:2:{s:2:"id";i:301;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:302;a:2:{s:2:"id";i:302;s:4:"text";a:1:{i:0;s:7:"regular";}}i:303;a:2:{s:2:"id";i:303;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:304;a:2:{s:2:"id";i:304;s:4:"text";a:1:{i:0;s:7:"regular";}}i:305;a:2:{s:2:"id";i:305;s:4:"text";a:1:{i:0;s:7:"regular";}}i:306;a:2:{s:2:"id";i:306;s:4:"text";a:1:{i:0;s:7:"regular";}}i:307;a:2:{s:2:"id";i:307;s:4:"text";a:1:{i:0;s:7:"regular";}}i:308;a:2:{s:2:"id";i:308;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:309;a:2:{s:2:"id";i:309;s:4:"text";a:1:{i:0;s:7:"regular";}}i:310;a:2:{s:2:"id";i:310;s:4:"text";a:1:{i:0;s:7:"regular";}}i:311;a:2:{s:2:"id";i:311;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:312;a:2:{s:2:"id";i:312;s:4:"text";a:7:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";i:5;s:3:"800";i:6;s:3:"900";}}i:313;a:2:{s:2:"id";i:313;s:4:"text";a:1:{i:0;s:7:"regular";}}i:314;a:2:{s:2:"id";i:314;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:315;a:2:{s:2:"id";i:315;s:4:"text";a:1:{i:0;s:7:"regular";}}i:316;a:2:{s:2:"id";i:316;s:4:"text";a:1:{i:0;s:7:"regular";}}i:317;a:2:{s:2:"id";i:317;s:4:"text";a:1:{i:0;s:7:"regular";}}i:318;a:2:{s:2:"id";i:318;s:4:"text";a:1:{i:0;s:7:"regular";}}i:319;a:2:{s:2:"id";i:319;s:4:"text";a:1:{i:0;s:7:"regular";}}i:320;a:2:{s:2:"id";i:320;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:321;a:2:{s:2:"id";i:321;s:4:"text";a:1:{i:0;s:7:"regular";}}i:322;a:2:{s:2:"id";i:322;s:4:"text";a:1:{i:0;s:7:"regular";}}i:323;a:2:{s:2:"id";i:323;s:4:"text";a:1:{i:0;s:7:"regular";}}i:324;a:2:{s:2:"id";i:324;s:4:"text";a:10:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"600";i:7;s:9:"600italic";i:8;s:3:"700";i:9;s:9:"700italic";}}i:325;a:2:{s:2:"id";i:325;s:4:"text";a:10:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"600";i:7;s:9:"600italic";i:8;s:3:"700";i:9;s:9:"700italic";}}i:326;a:2:{s:2:"id";i:326;s:4:"text";a:1:{i:0;s:7:"regular";}}i:327;a:2:{s:2:"id";i:327;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}}i:328;a:2:{s:2:"id";i:328;s:4:"text";a:1:{i:0;s:7:"regular";}}i:329;a:2:{s:2:"id";i:329;s:4:"text";a:1:{i:0;s:7:"regular";}}i:330;a:2:{s:2:"id";i:330;s:4:"text";a:1:{i:0;s:7:"regular";}}i:331;a:2:{s:2:"id";i:331;s:4:"text";a:4:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";}}i:332;a:2:{s:2:"id";i:332;s:4:"text";a:1:{i:0;s:7:"regular";}}i:333;a:2:{s:2:"id";i:333;s:4:"text";a:1:{i:0;s:7:"regular";}}i:334;a:2:{s:2:"id";i:334;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:335;a:2:{s:2:"id";i:335;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}}i:336;a:2:{s:2:"id";i:336;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:337;a:2:{s:2:"id";i:337;s:4:"text";a:18:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"200";i:3;s:9:"200italic";i:4;s:3:"300";i:5;s:9:"300italic";i:6;s:7:"regular";i:7;s:6:"italic";i:8;s:3:"500";i:9;s:9:"500italic";i:10;s:3:"600";i:11;s:9:"600italic";i:12;s:3:"700";i:13;s:9:"700italic";i:14;s:3:"800";i:15;s:9:"800italic";i:16;s:3:"900";i:17;s:9:"900italic";}}i:338;a:2:{s:2:"id";i:338;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}}i:339;a:2:{s:2:"id";i:339;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:340;a:2:{s:2:"id";i:340;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:341;a:2:{s:2:"id";i:341;s:4:"text";a:1:{i:0;s:7:"regular";}}i:342;a:2:{s:2:"id";i:342;s:4:"text";a:1:{i:0;s:7:"regular";}}i:343;a:2:{s:2:"id";i:343;s:4:"text";a:1:{i:0;s:7:"regular";}}i:344;a:2:{s:2:"id";i:344;s:4:"text";a:1:{i:0;s:7:"regular";}}i:345;a:2:{s:2:"id";i:345;s:4:"text";a:1:{i:0;s:7:"regular";}}i:346;a:2:{s:2:"id";i:346;s:4:"text";a:1:{i:0;s:7:"regular";}}i:347;a:2:{s:2:"id";i:347;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:348;a:2:{s:2:"id";i:348;s:4:"text";a:1:{i:0;s:7:"regular";}}i:349;a:2:{s:2:"id";i:349;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"600";i:3;s:3:"700";i:4;s:3:"800";}}i:350;a:2:{s:2:"id";i:350;s:4:"text";a:1:{i:0;s:7:"regular";}}i:351;a:2:{s:2:"id";i:351;s:4:"text";a:1:{i:0;s:7:"regular";}}i:352;a:2:{s:2:"id";i:352;s:4:"text";a:1:{i:0;s:7:"regular";}}i:353;a:2:{s:2:"id";i:353;s:4:"text";a:1:{i:0;s:7:"regular";}}i:354;a:2:{s:2:"id";i:354;s:4:"text";a:1:{i:0;s:7:"regular";}}i:355;a:2:{s:2:"id";i:355;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}}i:356;a:2:{s:2:"id";i:356;s:4:"text";a:1:{i:0;s:7:"regular";}}i:357;a:2:{s:2:"id";i:357;s:4:"text";a:1:{i:0;s:7:"regular";}}i:358;a:2:{s:2:"id";i:358;s:4:"text";a:1:{i:0;s:7:"regular";}}i:359;a:2:{s:2:"id";i:359;s:4:"text";a:1:{i:0;s:7:"regular";}}i:360;a:2:{s:2:"id";i:360;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:361;a:2:{s:2:"id";i:361;s:4:"text";a:1:{i:0;s:7:"regular";}}i:362;a:2:{s:2:"id";i:362;s:4:"text";a:1:{i:0;s:7:"regular";}}i:363;a:2:{s:2:"id";i:363;s:4:"text";a:1:{i:0;s:7:"regular";}}i:364;a:2:{s:2:"id";i:364;s:4:"text";a:10:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"700";i:7;s:9:"700italic";i:8;s:3:"900";i:9;s:9:"900italic";}}i:365;a:2:{s:2:"id";i:365;s:4:"text";a:1:{i:0;s:7:"regular";}}i:366;a:2:{s:2:"id";i:366;s:4:"text";a:1:{i:0;s:7:"regular";}}i:367;a:2:{s:2:"id";i:367;s:4:"text";a:1:{i:0;s:7:"regular";}}i:368;a:2:{s:2:"id";i:368;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}}i:369;a:2:{s:2:"id";i:369;s:4:"text";a:1:{i:0;s:7:"regular";}}i:370;a:2:{s:2:"id";i:370;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}}i:371;a:2:{s:2:"id";i:371;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:372;a:2:{s:2:"id";i:372;s:4:"text";a:1:{i:0;s:7:"regular";}}i:373;a:2:{s:2:"id";i:373;s:4:"text";a:1:{i:0;s:7:"regular";}}i:374;a:2:{s:2:"id";i:374;s:4:"text";a:1:{i:0;s:7:"regular";}}i:375;a:2:{s:2:"id";i:375;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:376;a:2:{s:2:"id";i:376;s:4:"text";a:1:{i:0;s:7:"regular";}}i:377;a:2:{s:2:"id";i:377;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:378;a:2:{s:2:"id";i:378;s:4:"text";a:1:{i:0;s:7:"regular";}}i:379;a:2:{s:2:"id";i:379;s:4:"text";a:1:{i:0;s:7:"regular";}}i:380;a:2:{s:2:"id";i:380;s:4:"text";a:1:{i:0;s:7:"regular";}}i:381;a:2:{s:2:"id";i:381;s:4:"text";a:1:{i:0;s:7:"regular";}}i:382;a:2:{s:2:"id";i:382;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:383;a:2:{s:2:"id";i:383;s:4:"text";a:1:{i:0;s:7:"regular";}}i:384;a:2:{s:2:"id";i:384;s:4:"text";a:1:{i:0;s:7:"regular";}}i:385;a:2:{s:2:"id";i:385;s:4:"text";a:1:{i:0;s:7:"regular";}}i:386;a:2:{s:2:"id";i:386;s:4:"text";a:1:{i:0;s:7:"regular";}}i:387;a:2:{s:2:"id";i:387;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:388;a:2:{s:2:"id";i:388;s:4:"text";a:1:{i:0;s:7:"regular";}}i:389;a:2:{s:2:"id";i:389;s:4:"text";a:1:{i:0;s:7:"regular";}}i:390;a:2:{s:2:"id";i:390;s:4:"text";a:1:{i:0;s:7:"regular";}}i:391;a:2:{s:2:"id";i:391;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:392;a:2:{s:2:"id";i:392;s:4:"text";a:1:{i:0;s:7:"regular";}}i:393;a:2:{s:2:"id";i:393;s:4:"text";a:1:{i:0;s:7:"regular";}}i:394;a:2:{s:2:"id";i:394;s:4:"text";a:1:{i:0;s:7:"regular";}}i:395;a:2:{s:2:"id";i:395;s:4:"text";a:1:{i:0;s:7:"regular";}}i:396;a:2:{s:2:"id";i:396;s:4:"text";a:1:{i:0;s:7:"regular";}}i:397;a:2:{s:2:"id";i:397;s:4:"text";a:1:{i:0;s:7:"regular";}}i:398;a:2:{s:2:"id";i:398;s:4:"text";a:1:{i:0;s:7:"regular";}}i:399;a:2:{s:2:"id";i:399;s:4:"text";a:1:{i:0;s:7:"regular";}}i:400;a:2:{s:2:"id";i:400;s:4:"text";a:1:{i:0;s:7:"regular";}}i:401;a:2:{s:2:"id";i:401;s:4:"text";a:1:{i:0;s:7:"regular";}}i:402;a:2:{s:2:"id";i:402;s:4:"text";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"600";i:4;s:3:"700";i:5;s:3:"800";i:6;s:3:"900";}}i:403;a:2:{s:2:"id";i:403;s:4:"text";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"600";i:4;s:3:"700";i:5;s:3:"800";i:6;s:3:"900";}}i:404;a:2:{s:2:"id";i:404;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:405;a:2:{s:2:"id";i:405;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:406;a:2:{s:2:"id";i:406;s:4:"text";a:1:{i:0;s:7:"regular";}}i:407;a:2:{s:2:"id";i:407;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"700";i:3;s:3:"900";}}i:408;a:2:{s:2:"id";i:408;s:4:"text";a:1:{i:0;s:7:"regular";}}i:409;a:2:{s:2:"id";i:409;s:4:"text";a:1:{i:0;s:7:"regular";}}i:410;a:2:{s:2:"id";i:410;s:4:"text";a:1:{i:0;s:7:"regular";}}i:411;a:2:{s:2:"id";i:411;s:4:"text";a:1:{i:0;s:7:"regular";}}i:412;a:2:{s:2:"id";i:412;s:4:"text";a:1:{i:0;s:7:"regular";}}i:413;a:2:{s:2:"id";i:413;s:4:"text";a:1:{i:0;s:7:"regular";}}i:414;a:2:{s:2:"id";i:414;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:415;a:2:{s:2:"id";i:415;s:4:"text";a:1:{i:0;s:7:"regular";}}i:416;a:2:{s:2:"id";i:416;s:4:"text";a:8:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";i:6;s:3:"900";i:7;s:9:"900italic";}}i:417;a:2:{s:2:"id";i:417;s:4:"text";a:8:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";i:6;s:3:"800";i:7;s:9:"800italic";}}i:418;a:2:{s:2:"id";i:418;s:4:"text";a:1:{i:0;s:7:"regular";}}i:419;a:2:{s:2:"id";i:419;s:4:"text";a:1:{i:0;s:7:"regular";}}i:420;a:2:{s:2:"id";i:420;s:4:"text";a:1:{i:0;s:7:"regular";}}i:421;a:2:{s:2:"id";i:421;s:4:"text";a:1:{i:0;s:7:"regular";}}i:422;a:2:{s:2:"id";i:422;s:4:"text";a:1:{i:0;s:7:"regular";}}i:423;a:2:{s:2:"id";i:423;s:4:"text";a:1:{i:0;s:7:"regular";}}i:424;a:2:{s:2:"id";i:424;s:4:"text";a:1:{i:0;s:7:"regular";}}i:425;a:2:{s:2:"id";i:425;s:4:"text";a:1:{i:0;s:7:"regular";}}i:426;a:2:{s:2:"id";i:426;s:4:"text";a:1:{i:0;s:7:"regular";}}i:427;a:2:{s:2:"id";i:427;s:4:"text";a:1:{i:0;s:7:"regular";}}i:428;a:2:{s:2:"id";i:428;s:4:"text";a:1:{i:0;s:7:"regular";}}i:429;a:2:{s:2:"id";i:429;s:4:"text";a:1:{i:0;s:7:"regular";}}i:430;a:2:{s:2:"id";i:430;s:4:"text";a:1:{i:0;s:7:"regular";}}i:431;a:2:{s:2:"id";i:431;s:4:"text";a:1:{i:0;s:6:"italic";}}i:432;a:2:{s:2:"id";i:432;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:433;a:2:{s:2:"id";i:433;s:4:"text";a:1:{i:0;s:7:"regular";}}i:434;a:2:{s:2:"id";i:434;s:4:"text";a:1:{i:0;s:7:"regular";}}i:435;a:2:{s:2:"id";i:435;s:4:"text";a:1:{i:0;s:7:"regular";}}i:436;a:2:{s:2:"id";i:436;s:4:"text";a:1:{i:0;s:7:"regular";}}i:437;a:2:{s:2:"id";i:437;s:4:"text";a:1:{i:0;s:7:"regular";}}i:438;a:2:{s:2:"id";i:438;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:439;a:2:{s:2:"id";i:439;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:440;a:2:{s:2:"id";i:440;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:441;a:2:{s:2:"id";i:441;s:4:"text";a:1:{i:0;s:7:"regular";}}i:442;a:2:{s:2:"id";i:442;s:4:"text";a:1:{i:0;s:7:"regular";}}i:443;a:2:{s:2:"id";i:443;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:444;a:2:{s:2:"id";i:444;s:4:"text";a:1:{i:0;s:7:"regular";}}i:445;a:2:{s:2:"id";i:445;s:4:"text";a:1:{i:0;s:7:"regular";}}i:446;a:2:{s:2:"id";i:446;s:4:"text";a:1:{i:0;s:7:"regular";}}i:447;a:2:{s:2:"id";i:447;s:4:"text";a:1:{i:0;s:7:"regular";}}i:448;a:2:{s:2:"id";i:448;s:4:"text";a:1:{i:0;s:7:"regular";}}i:449;a:2:{s:2:"id";i:449;s:4:"text";a:1:{i:0;s:7:"regular";}}i:450;a:2:{s:2:"id";i:450;s:4:"text";a:4:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";}}i:451;a:2:{s:2:"id";i:451;s:4:"text";a:1:{i:0;s:7:"regular";}}i:452;a:2:{s:2:"id";i:452;s:4:"text";a:1:{i:0;s:7:"regular";}}i:453;a:2:{s:2:"id";i:453;s:4:"text";a:1:{i:0;s:7:"regular";}}i:454;a:2:{s:2:"id";i:454;s:4:"text";a:6:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:3:"800";}}i:455;a:2:{s:2:"id";i:455;s:4:"text";a:1:{i:0;s:7:"regular";}}i:456;a:2:{s:2:"id";i:456;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:457;a:2:{s:2:"id";i:457;s:4:"text";a:1:{i:0;s:7:"regular";}}i:458;a:2:{s:2:"id";i:458;s:4:"text";a:1:{i:0;s:7:"regular";}}i:459;a:2:{s:2:"id";i:459;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:460;a:2:{s:2:"id";i:460;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:461;a:2:{s:2:"id";i:461;s:4:"text";a:1:{i:0;s:7:"regular";}}i:462;a:2:{s:2:"id";i:462;s:4:"text";a:1:{i:0;s:7:"regular";}}i:463;a:2:{s:2:"id";i:463;s:4:"text";a:1:{i:0;s:7:"regular";}}i:464;a:2:{s:2:"id";i:464;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:465;a:2:{s:2:"id";i:465;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:466;a:2:{s:2:"id";i:466;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:467;a:2:{s:2:"id";i:467;s:4:"text";a:1:{i:0;s:7:"regular";}}i:468;a:2:{s:2:"id";i:468;s:4:"text";a:1:{i:0;s:7:"regular";}}i:469;a:2:{s:2:"id";i:469;s:4:"text";a:1:{i:0;s:7:"regular";}}i:470;a:2:{s:2:"id";i:470;s:4:"text";a:1:{i:0;s:7:"regular";}}i:471;a:2:{s:2:"id";i:471;s:4:"text";a:1:{i:0;s:7:"regular";}}i:472;a:2:{s:2:"id";i:472;s:4:"text";a:1:{i:0;s:7:"regular";}}i:473;a:2:{s:2:"id";i:473;s:4:"text";a:1:{i:0;s:7:"regular";}}i:474;a:2:{s:2:"id";i:474;s:4:"text";a:1:{i:0;s:7:"regular";}}i:475;a:2:{s:2:"id";i:475;s:4:"text";a:1:{i:0;s:7:"regular";}}i:476;a:2:{s:2:"id";i:476;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}}i:477;a:2:{s:2:"id";i:477;s:4:"text";a:1:{i:0;s:7:"regular";}}i:478;a:2:{s:2:"id";i:478;s:4:"text";a:1:{i:0;s:7:"regular";}}i:479;a:2:{s:2:"id";i:479;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}}i:480;a:2:{s:2:"id";i:480;s:4:"text";a:1:{i:0;s:7:"regular";}}i:481;a:2:{s:2:"id";i:481;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:482;a:2:{s:2:"id";i:482;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:483;a:2:{s:2:"id";i:483;s:4:"text";a:10:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"600";i:5;s:9:"600italic";i:6;s:3:"700";i:7;s:9:"700italic";i:8;s:3:"800";i:9;s:9:"800italic";}}i:484;a:2:{s:2:"id";i:484;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:3:"700";}}i:485;a:2:{s:2:"id";i:485;s:4:"text";a:1:{i:0;s:7:"regular";}}i:486;a:2:{s:2:"id";i:486;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"700";i:3;s:3:"900";}}i:487;a:2:{s:2:"id";i:487;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:488;a:2:{s:2:"id";i:488;s:4:"text";a:1:{i:0;s:7:"regular";}}i:489;a:2:{s:2:"id";i:489;s:4:"text";a:1:{i:0;s:7:"regular";}}i:490;a:2:{s:2:"id";i:490;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}}i:491;a:2:{s:2:"id";i:491;s:4:"text";a:1:{i:0;s:7:"regular";}}i:492;a:2:{s:2:"id";i:492;s:4:"text";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}}i:493;a:2:{s:2:"id";i:493;s:4:"text";a:1:{i:0;s:7:"regular";}}i:494;a:2:{s:2:"id";i:494;s:4:"text";a:1:{i:0;s:7:"regular";}}i:495;a:2:{s:2:"id";i:495;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}}i:496;a:2:{s:2:"id";i:496;s:4:"text";a:1:{i:0;s:7:"regular";}}i:497;a:2:{s:2:"id";i:497;s:4:"text";a:1:{i:0;s:7:"regular";}}i:498;a:2:{s:2:"id";i:498;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:499;a:2:{s:2:"id";i:499;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:500;a:2:{s:2:"id";i:500;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:501;a:2:{s:2:"id";i:501;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:502;a:2:{s:2:"id";i:502;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:503;a:2:{s:2:"id";i:503;s:4:"text";a:1:{i:0;s:7:"regular";}}i:504;a:2:{s:2:"id";i:504;s:4:"text";a:7:{i:0;s:3:"100";i:1;s:3:"200";i:2;s:3:"300";i:3;s:7:"regular";i:4;s:3:"500";i:5;s:3:"600";i:6;s:3:"700";}}i:505;a:2:{s:2:"id";i:505;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";}}i:506;a:2:{s:2:"id";i:506;s:4:"text";a:1:{i:0;s:7:"regular";}}i:507;a:2:{s:2:"id";i:507;s:4:"text";a:1:{i:0;s:7:"regular";}}i:508;a:2:{s:2:"id";i:508;s:4:"text";a:1:{i:0;s:7:"regular";}}i:509;a:2:{s:2:"id";i:509;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}}i:510;a:2:{s:2:"id";i:510;s:4:"text";a:1:{i:0;s:7:"regular";}}i:511;a:2:{s:2:"id";i:511;s:4:"text";a:1:{i:0;s:7:"regular";}}i:512;a:2:{s:2:"id";i:512;s:4:"text";a:1:{i:0;s:7:"regular";}}i:513;a:2:{s:2:"id";i:513;s:4:"text";a:1:{i:0;s:7:"regular";}}i:514;a:2:{s:2:"id";i:514;s:4:"text";a:1:{i:0;s:7:"regular";}}i:515;a:2:{s:2:"id";i:515;s:4:"text";a:1:{i:0;s:7:"regular";}}i:516;a:2:{s:2:"id";i:516;s:4:"text";a:1:{i:0;s:7:"regular";}}i:517;a:2:{s:2:"id";i:517;s:4:"text";a:1:{i:0;s:7:"regular";}}i:518;a:2:{s:2:"id";i:518;s:4:"text";a:1:{i:0;s:7:"regular";}}i:519;a:2:{s:2:"id";i:519;s:4:"text";a:1:{i:0;s:7:"regular";}}i:520;a:2:{s:2:"id";i:520;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:521;a:2:{s:2:"id";i:521;s:4:"text";a:1:{i:0;s:7:"regular";}}i:522;a:2:{s:2:"id";i:522;s:4:"text";a:1:{i:0;s:7:"regular";}}i:523;a:2:{s:2:"id";i:523;s:4:"text";a:1:{i:0;s:7:"regular";}}i:524;a:2:{s:2:"id";i:524;s:4:"text";a:1:{i:0;s:7:"regular";}}i:525;a:2:{s:2:"id";i:525;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:526;a:2:{s:2:"id";i:526;s:4:"text";a:1:{i:0;s:7:"regular";}}i:527;a:2:{s:2:"id";i:527;s:4:"text";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}}i:528;a:2:{s:2:"id";i:528;s:4:"text";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}}i:529;a:2:{s:2:"id";i:529;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:530;a:2:{s:2:"id";i:530;s:4:"text";a:1:{i:0;s:7:"regular";}}i:531;a:2:{s:2:"id";i:531;s:4:"text";a:1:{i:0;s:7:"regular";}}i:532;a:2:{s:2:"id";i:532;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:533;a:2:{s:2:"id";i:533;s:4:"text";a:1:{i:0;s:7:"regular";}}i:534;a:2:{s:2:"id";i:534;s:4:"text";a:1:{i:0;s:7:"regular";}}i:535;a:2:{s:2:"id";i:535;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:536;a:2:{s:2:"id";i:536;s:4:"text";a:1:{i:0;s:7:"regular";}}i:537;a:2:{s:2:"id";i:537;s:4:"text";a:1:{i:0;s:7:"regular";}}i:538;a:2:{s:2:"id";i:538;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:539;a:2:{s:2:"id";i:539;s:4:"text";a:1:{i:0;s:7:"regular";}}i:540;a:2:{s:2:"id";i:540;s:4:"text";a:1:{i:0;s:7:"regular";}}i:541;a:2:{s:2:"id";i:541;s:4:"text";a:1:{i:0;s:7:"regular";}}i:542;a:2:{s:2:"id";i:542;s:4:"text";a:1:{i:0;s:7:"regular";}}i:543;a:2:{s:2:"id";i:543;s:4:"text";a:1:{i:0;s:7:"regular";}}i:544;a:2:{s:2:"id";i:544;s:4:"text";a:1:{i:0;s:7:"regular";}}i:545;a:2:{s:2:"id";i:545;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:546;a:2:{s:2:"id";i:546;s:4:"text";a:1:{i:0;s:7:"regular";}}i:547;a:2:{s:2:"id";i:547;s:4:"text";a:1:{i:0;s:7:"regular";}}i:548;a:2:{s:2:"id";i:548;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:549;a:2:{s:2:"id";i:549;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:550;a:2:{s:2:"id";i:550;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:551;a:2:{s:2:"id";i:551;s:4:"text";a:1:{i:0;s:7:"regular";}}i:552;a:2:{s:2:"id";i:552;s:4:"text";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}}i:553;a:2:{s:2:"id";i:553;s:4:"text";a:1:{i:0;s:7:"regular";}}i:554;a:2:{s:2:"id";i:554;s:4:"text";a:1:{i:0;s:7:"regular";}}i:555;a:2:{s:2:"id";i:555;s:4:"text";a:1:{i:0;s:7:"regular";}}i:556;a:2:{s:2:"id";i:556;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:557;a:2:{s:2:"id";i:557;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:558;a:2:{s:2:"id";i:558;s:4:"text";a:18:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"200";i:3;s:9:"200italic";i:4;s:3:"300";i:5;s:9:"300italic";i:6;s:7:"regular";i:7;s:6:"italic";i:8;s:3:"500";i:9;s:9:"500italic";i:10;s:3:"600";i:11;s:9:"600italic";i:12;s:3:"700";i:13;s:9:"700italic";i:14;s:3:"800";i:15;s:9:"800italic";i:16;s:3:"900";i:17;s:9:"900italic";}}i:559;a:2:{s:2:"id";i:559;s:4:"text";a:1:{i:0;s:7:"regular";}}i:560;a:2:{s:2:"id";i:560;s:4:"text";a:1:{i:0;s:7:"regular";}}i:561;a:2:{s:2:"id";i:561;s:4:"text";a:1:{i:0;s:7:"regular";}}i:562;a:2:{s:2:"id";i:562;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:563;a:2:{s:2:"id";i:563;s:4:"text";a:1:{i:0;s:7:"regular";}}i:564;a:2:{s:2:"id";i:564;s:4:"text";a:1:{i:0;s:7:"regular";}}i:565;a:2:{s:2:"id";i:565;s:4:"text";a:1:{i:0;s:7:"regular";}}i:566;a:2:{s:2:"id";i:566;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:567;a:2:{s:2:"id";i:567;s:4:"text";a:1:{i:0;s:7:"regular";}}i:568;a:2:{s:2:"id";i:568;s:4:"text";a:1:{i:0;s:7:"regular";}}i:569;a:2:{s:2:"id";i:569;s:4:"text";a:1:{i:0;s:7:"regular";}}i:570;a:2:{s:2:"id";i:570;s:4:"text";a:1:{i:0;s:7:"regular";}}i:571;a:2:{s:2:"id";i:571;s:4:"text";a:1:{i:0;s:7:"regular";}}i:572;a:2:{s:2:"id";i:572;s:4:"text";a:1:{i:0;s:7:"regular";}}i:573;a:2:{s:2:"id";i:573;s:4:"text";a:1:{i:0;s:7:"regular";}}i:574;a:2:{s:2:"id";i:574;s:4:"text";a:1:{i:0;s:7:"regular";}}i:575;a:2:{s:2:"id";i:575;s:4:"text";a:1:{i:0;s:7:"regular";}}i:576;a:2:{s:2:"id";i:576;s:4:"text";a:1:{i:0;s:7:"regular";}}i:577;a:2:{s:2:"id";i:577;s:4:"text";a:12:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"500";i:7;s:9:"500italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"900";i:11;s:9:"900italic";}}i:578;a:2:{s:2:"id";i:578;s:4:"text";a:6:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";}}i:579;a:2:{s:2:"id";i:579;s:4:"text";a:10:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"500";i:7;s:9:"500italic";i:8;s:3:"700";i:9;s:9:"700italic";}}i:580;a:2:{s:2:"id";i:580;s:4:"text";a:4:{i:0;s:3:"100";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"700";}}i:581;a:2:{s:2:"id";i:581;s:4:"text";a:1:{i:0;s:7:"regular";}}i:582;a:2:{s:2:"id";i:582;s:4:"text";a:1:{i:0;s:7:"regular";}}i:583;a:2:{s:2:"id";i:583;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:584;a:2:{s:2:"id";i:584;s:4:"text";a:1:{i:0;s:7:"regular";}}i:585;a:2:{s:2:"id";i:585;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:586;a:2:{s:2:"id";i:586;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:587;a:2:{s:2:"id";i:587;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:588;a:2:{s:2:"id";i:588;s:4:"text";a:1:{i:0;s:7:"regular";}}i:589;a:2:{s:2:"id";i:589;s:4:"text";a:1:{i:0;s:7:"regular";}}i:590;a:2:{s:2:"id";i:590;s:4:"text";a:10:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"500";i:5;s:9:"500italic";i:6;s:3:"700";i:7;s:9:"700italic";i:8;s:3:"900";i:9;s:9:"900italic";}}i:591;a:2:{s:2:"id";i:591;s:4:"text";a:1:{i:0;s:7:"regular";}}i:592;a:2:{s:2:"id";i:592;s:4:"text";a:1:{i:0;s:7:"regular";}}i:593;a:2:{s:2:"id";i:593;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}}i:594;a:2:{s:2:"id";i:594;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:595;a:2:{s:2:"id";i:595;s:4:"text";a:1:{i:0;s:7:"regular";}}i:596;a:2:{s:2:"id";i:596;s:4:"text";a:1:{i:0;s:7:"regular";}}i:597;a:2:{s:2:"id";i:597;s:4:"text";a:1:{i:0;s:7:"regular";}}i:598;a:2:{s:2:"id";i:598;s:4:"text";a:1:{i:0;s:7:"regular";}}i:599;a:2:{s:2:"id";i:599;s:4:"text";a:1:{i:0;s:7:"regular";}}i:600;a:2:{s:2:"id";i:600;s:4:"text";a:1:{i:0;s:7:"regular";}}i:601;a:2:{s:2:"id";i:601;s:4:"text";a:1:{i:0;s:7:"regular";}}i:602;a:2:{s:2:"id";i:602;s:4:"text";a:1:{i:0;s:7:"regular";}}i:603;a:2:{s:2:"id";i:603;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:604;a:2:{s:2:"id";i:604;s:4:"text";a:1:{i:0;s:7:"regular";}}i:605;a:2:{s:2:"id";i:605;s:4:"text";a:1:{i:0;s:7:"regular";}}i:606;a:2:{s:2:"id";i:606;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:607;a:2:{s:2:"id";i:607;s:4:"text";a:1:{i:0;s:7:"regular";}}i:608;a:2:{s:2:"id";i:608;s:4:"text";a:1:{i:0;s:7:"regular";}}i:609;a:2:{s:2:"id";i:609;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:610;a:2:{s:2:"id";i:610;s:4:"text";a:1:{i:0;s:7:"regular";}}i:611;a:2:{s:2:"id";i:611;s:4:"text";a:6:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";i:4;s:3:"800";i:5;s:3:"900";}}i:612;a:2:{s:2:"id";i:612;s:4:"text";a:1:{i:0;s:7:"regular";}}i:613;a:2:{s:2:"id";i:613;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:614;a:2:{s:2:"id";i:614;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:615;a:2:{s:2:"id";i:615;s:4:"text";a:1:{i:0;s:7:"regular";}}i:616;a:2:{s:2:"id";i:616;s:4:"text";a:1:{i:0;s:7:"regular";}}i:617;a:2:{s:2:"id";i:617;s:4:"text";a:1:{i:0;s:7:"regular";}}i:618;a:2:{s:2:"id";i:618;s:4:"text";a:1:{i:0;s:7:"regular";}}i:619;a:2:{s:2:"id";i:619;s:4:"text";a:1:{i:0;s:7:"regular";}}i:620;a:2:{s:2:"id";i:620;s:4:"text";a:1:{i:0;s:7:"regular";}}i:621;a:2:{s:2:"id";i:621;s:4:"text";a:1:{i:0;s:7:"regular";}}i:622;a:2:{s:2:"id";i:622;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:623;a:2:{s:2:"id";i:623;s:4:"text";a:1:{i:0;s:7:"regular";}}i:624;a:2:{s:2:"id";i:624;s:4:"text";a:1:{i:0;s:7:"regular";}}i:625;a:2:{s:2:"id";i:625;s:4:"text";a:1:{i:0;s:7:"regular";}}i:626;a:2:{s:2:"id";i:626;s:4:"text";a:1:{i:0;s:7:"regular";}}i:627;a:2:{s:2:"id";i:627;s:4:"text";a:1:{i:0;s:7:"regular";}}i:628;a:2:{s:2:"id";i:628;s:4:"text";a:1:{i:0;s:7:"regular";}}i:629;a:2:{s:2:"id";i:629;s:4:"text";a:4:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"600";i:3;s:3:"700";}}i:630;a:2:{s:2:"id";i:630;s:4:"text";a:4:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"600";i:3;s:3:"700";}}i:631;a:2:{s:2:"id";i:631;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"900";i:3;s:9:"900italic";}}i:632;a:2:{s:2:"id";i:632;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:633;a:2:{s:2:"id";i:633;s:4:"text";a:1:{i:0;s:7:"regular";}}i:634;a:2:{s:2:"id";i:634;s:4:"text";a:1:{i:0;s:7:"regular";}}i:635;a:2:{s:2:"id";i:635;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:636;a:2:{s:2:"id";i:636;s:4:"text";a:1:{i:0;s:7:"regular";}}i:637;a:2:{s:2:"id";i:637;s:4:"text";a:1:{i:0;s:7:"regular";}}i:638;a:2:{s:2:"id";i:638;s:4:"text";a:1:{i:0;s:7:"regular";}}i:639;a:2:{s:2:"id";i:639;s:4:"text";a:1:{i:0;s:7:"regular";}}i:640;a:2:{s:2:"id";i:640;s:4:"text";a:1:{i:0;s:7:"regular";}}i:641;a:2:{s:2:"id";i:641;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"800";}}i:642;a:2:{s:2:"id";i:642;s:4:"text";a:1:{i:0;s:7:"regular";}}i:643;a:2:{s:2:"id";i:643;s:4:"text";a:1:{i:0;s:7:"regular";}}i:644;a:2:{s:2:"id";i:644;s:4:"text";a:1:{i:0;s:7:"regular";}}i:645;a:2:{s:2:"id";i:645;s:4:"text";a:1:{i:0;s:7:"regular";}}i:646;a:2:{s:2:"id";i:646;s:4:"text";a:1:{i:0;s:7:"regular";}}i:647;a:2:{s:2:"id";i:647;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}}i:648;a:2:{s:2:"id";i:648;s:4:"text";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"500";i:4;s:3:"600";i:5;s:3:"700";i:6;s:3:"900";}}i:649;a:2:{s:2:"id";i:649;s:4:"text";a:12:{i:0;s:3:"200";i:1;s:9:"200italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"600";i:7;s:9:"600italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"900";i:11;s:9:"900italic";}}i:650;a:2:{s:2:"id";i:650;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:3:"600";i:2;s:3:"700";}}i:651;a:2:{s:2:"id";i:651;s:4:"text";a:1:{i:0;s:7:"regular";}}i:652;a:2:{s:2:"id";i:652;s:4:"text";a:1:{i:0;s:7:"regular";}}i:653;a:2:{s:2:"id";i:653;s:4:"text";a:1:{i:0;s:7:"regular";}}i:654;a:2:{s:2:"id";i:654;s:4:"text";a:1:{i:0;s:7:"regular";}}i:655;a:2:{s:2:"id";i:655;s:4:"text";a:1:{i:0;s:7:"regular";}}i:656;a:2:{s:2:"id";i:656;s:4:"text";a:1:{i:0;s:7:"regular";}}i:657;a:2:{s:2:"id";i:657;s:4:"text";a:1:{i:0;s:7:"regular";}}i:658;a:2:{s:2:"id";i:658;s:4:"text";a:1:{i:0;s:7:"regular";}}i:659;a:2:{s:2:"id";i:659;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:660;a:2:{s:2:"id";i:660;s:4:"text";a:1:{i:0;s:7:"regular";}}i:661;a:2:{s:2:"id";i:661;s:4:"text";a:1:{i:0;s:7:"regular";}}i:662;a:2:{s:2:"id";i:662;s:4:"text";a:2:{i:0;s:3:"300";i:1;s:7:"regular";}}i:663;a:2:{s:2:"id";i:663;s:4:"text";a:1:{i:0;s:7:"regular";}}i:664;a:2:{s:2:"id";i:664;s:4:"text";a:1:{i:0;s:7:"regular";}}i:665;a:2:{s:2:"id";i:665;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:666;a:2:{s:2:"id";i:666;s:4:"text";a:1:{i:0;s:7:"regular";}}i:667;a:2:{s:2:"id";i:667;s:4:"text";a:1:{i:0;s:7:"regular";}}i:668;a:2:{s:2:"id";i:668;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:669;a:2:{s:2:"id";i:669;s:4:"text";a:1:{i:0;s:7:"regular";}}i:670;a:2:{s:2:"id";i:670;s:4:"text";a:1:{i:0;s:7:"regular";}}i:671;a:2:{s:2:"id";i:671;s:4:"text";a:1:{i:0;s:7:"regular";}}i:672;a:2:{s:2:"id";i:672;s:4:"text";a:1:{i:0;s:7:"regular";}}i:673;a:2:{s:2:"id";i:673;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:674;a:2:{s:2:"id";i:674;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:675;a:2:{s:2:"id";i:675;s:4:"text";a:1:{i:0;s:7:"regular";}}i:676;a:2:{s:2:"id";i:676;s:4:"text";a:1:{i:0;s:7:"regular";}}i:677;a:2:{s:2:"id";i:677;s:4:"text";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}}i:678;a:2:{s:2:"id";i:678;s:4:"text";a:1:{i:0;s:7:"regular";}}i:679;a:2:{s:2:"id";i:679;s:4:"text";a:1:{i:0;s:7:"regular";}}i:680;a:2:{s:2:"id";i:680;s:4:"text";a:1:{i:0;s:7:"regular";}}i:681;a:2:{s:2:"id";i:681;s:4:"text";a:1:{i:0;s:7:"regular";}}i:682;a:2:{s:2:"id";i:682;s:4:"text";a:1:{i:0;s:7:"regular";}}i:683;a:2:{s:2:"id";i:683;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}}i:684;a:2:{s:2:"id";i:684;s:4:"text";a:5:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";i:4;s:3:"800";}}i:685;a:2:{s:2:"id";i:685;s:4:"text";a:1:{i:0;s:7:"regular";}}i:686;a:2:{s:2:"id";i:686;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:687;a:2:{s:2:"id";i:687;s:4:"text";a:1:{i:0;s:7:"regular";}}i:688;a:2:{s:2:"id";i:688;s:4:"text";a:11:{i:0;s:3:"200";i:1;s:9:"200italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"600";i:7;s:9:"600italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"900";}}i:689;a:2:{s:2:"id";i:689;s:4:"text";a:1:{i:0;s:7:"regular";}}i:690;a:2:{s:2:"id";i:690;s:4:"text";a:1:{i:0;s:7:"regular";}}i:691;a:2:{s:2:"id";i:691;s:4:"text";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}}i:692;a:2:{s:2:"id";i:692;s:4:"text";a:1:{i:0;s:7:"regular";}}i:693;a:2:{s:2:"id";i:693;s:4:"text";a:1:{i:0;s:7:"regular";}}i:694;a:2:{s:2:"id";i:694;s:4:"text";a:8:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"500";i:5;s:9:"500italic";i:6;s:3:"700";i:7;s:9:"700italic";}}i:695;a:2:{s:2:"id";i:695;s:4:"text";a:1:{i:0;s:7:"regular";}}i:696;a:2:{s:2:"id";i:696;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:697;a:2:{s:2:"id";i:697;s:4:"text";a:1:{i:0;s:7:"regular";}}i:698;a:2:{s:2:"id";i:698;s:4:"text";a:1:{i:0;s:7:"regular";}}i:699;a:2:{s:2:"id";i:699;s:4:"text";a:1:{i:0;s:7:"regular";}}i:700;a:2:{s:2:"id";i:700;s:4:"text";a:1:{i:0;s:7:"regular";}}i:701;a:2:{s:2:"id";i:701;s:4:"text";a:1:{i:0;s:3:"700";}}i:702;a:2:{s:2:"id";i:702;s:4:"text";a:1:{i:0;s:7:"regular";}}i:703;a:2:{s:2:"id";i:703;s:4:"text";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}}i:704;a:2:{s:2:"id";i:704;s:4:"text";a:1:{i:0;s:7:"regular";}}i:705;a:2:{s:2:"id";i:705;s:4:"text";a:1:{i:0;s:7:"regular";}}i:706;a:2:{s:2:"id";i:706;s:4:"text";a:1:{i:0;s:7:"regular";}}i:707;a:2:{s:2:"id";i:707;s:4:"text";a:1:{i:0;s:7:"regular";}}i:708;a:2:{s:2:"id";i:708;s:4:"text";a:1:{i:0;s:7:"regular";}}i:709;a:2:{s:2:"id";i:709;s:4:"text";a:1:{i:0;s:7:"regular";}}i:710;a:2:{s:2:"id";i:710;s:4:"text";a:1:{i:0;s:7:"regular";}}i:711;a:2:{s:2:"id";i:711;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"700";i:3;s:3:"900";}}i:712;a:2:{s:2:"id";i:712;s:4:"text";a:1:{i:0;s:7:"regular";}}i:713;a:2:{s:2:"id";i:713;s:4:"text";a:1:{i:0;s:7:"regular";}}i:714;a:2:{s:2:"id";i:714;s:4:"text";a:1:{i:0;s:7:"regular";}}i:715;a:2:{s:2:"id";i:715;s:4:"text";a:1:{i:0;s:7:"regular";}}i:716;a:2:{s:2:"id";i:716;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:717;a:2:{s:2:"id";i:717;s:4:"text";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}}i:718;a:2:{s:2:"id";i:718;s:4:"text";a:1:{i:0;s:7:"regular";}}i:719;a:2:{s:2:"id";i:719;s:4:"text";a:1:{i:0;s:7:"regular";}}i:720;a:2:{s:2:"id";i:720;s:4:"text";a:1:{i:0;s:7:"regular";}}i:721;a:2:{s:2:"id";i:721;s:4:"text";a:1:{i:0;s:7:"regular";}}i:722;a:2:{s:2:"id";i:722;s:4:"text";a:1:{i:0;s:7:"regular";}}i:723;a:2:{s:2:"id";i:723;s:4:"text";a:1:{i:0;s:7:"regular";}}i:724;a:2:{s:2:"id";i:724;s:4:"text";a:1:{i:0;s:7:"regular";}}i:725;a:2:{s:2:"id";i:725;s:4:"text";a:1:{i:0;s:7:"regular";}}i:726;a:2:{s:2:"id";i:726;s:4:"text";a:9:{i:0;s:3:"100";i:1;s:3:"200";i:2;s:3:"300";i:3;s:7:"regular";i:4;s:3:"500";i:5;s:3:"600";i:6;s:3:"700";i:7;s:3:"800";i:8;s:3:"900";}}i:727;a:2:{s:2:"id";i:727;s:4:"text";a:4:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"700";}}i:728;a:2:{s:2:"id";i:728;s:4:"text";a:6:{i:0;s:3:"100";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"500";i:4;s:3:"700";i:5;s:3:"900";}}i:729;a:2:{s:2:"id";i:729;s:4:"text";a:1:{i:0;s:7:"regular";}}i:730;a:2:{s:2:"id";i:730;s:4:"text";a:1:{i:0;s:7:"regular";}}i:731;a:2:{s:2:"id";i:731;s:4:"text";a:1:{i:0;s:7:"regular";}}i:732;a:2:{s:2:"id";i:732;s:4:"text";a:1:{i:0;s:7:"regular";}}}';
}


/**
 * Google Web Fonts Subsets
 * 
 * @return string A serialized array in the format array( 'id' => $key, 'text' => $font['subsets'] ) compatible with "Select2" library
 */
function udesign_google_fonts_subsets() {
    return 'a:733:{i:0;a:2:{s:2:"id";i:0;s:4:"text";a:1:{i:0;s:5:"latin";}}i:1;a:2:{s:2:"id";i:1;s:4:"text";a:1:{i:0;s:5:"latin";}}i:2;a:2:{s:2:"id";i:2;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:3;a:2:{s:2:"id";i:3;s:4:"text";a:1:{i:0;s:5:"latin";}}i:4;a:2:{s:2:"id";i:4;s:4:"text";a:1:{i:0;s:5:"latin";}}i:5;a:2:{s:2:"id";i:5;s:4:"text";a:1:{i:0;s:5:"latin";}}i:6;a:2:{s:2:"id";i:6;s:4:"text";a:1:{i:0;s:5:"latin";}}i:7;a:2:{s:2:"id";i:7;s:4:"text";a:3:{i:0;s:5:"greek";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:8;a:2:{s:2:"id";i:8;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:9;a:2:{s:2:"id";i:9;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:10;a:2:{s:2:"id";i:10;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:11;a:2:{s:2:"id";i:11;s:4:"text";a:1:{i:0;s:5:"latin";}}i:12;a:2:{s:2:"id";i:12;s:4:"text";a:2:{i:0;s:6:"hebrew";i:1;s:5:"latin";}}i:13;a:2:{s:2:"id";i:13;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:14;a:2:{s:2:"id";i:14;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:15;a:2:{s:2:"id";i:15;s:4:"text";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}}i:16;a:2:{s:2:"id";i:16;s:4:"text";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}}i:17;a:2:{s:2:"id";i:17;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:18;a:2:{s:2:"id";i:18;s:4:"text";a:1:{i:0;s:5:"latin";}}i:19;a:2:{s:2:"id";i:19;s:4:"text";a:1:{i:0;s:5:"latin";}}i:20;a:2:{s:2:"id";i:20;s:4:"text";a:1:{i:0;s:5:"latin";}}i:21;a:2:{s:2:"id";i:21;s:4:"text";a:1:{i:0;s:5:"latin";}}i:22;a:2:{s:2:"id";i:22;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:23;a:2:{s:2:"id";i:23;s:4:"text";a:1:{i:0;s:5:"latin";}}i:24;a:2:{s:2:"id";i:24;s:4:"text";a:1:{i:0;s:5:"latin";}}i:25;a:2:{s:2:"id";i:25;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:26;a:2:{s:2:"id";i:26;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:27;a:2:{s:2:"id";i:27;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:28;a:2:{s:2:"id";i:28;s:4:"text";a:1:{i:0;s:5:"latin";}}i:29;a:2:{s:2:"id";i:29;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:30;a:2:{s:2:"id";i:30;s:4:"text";a:1:{i:0;s:5:"latin";}}i:31;a:2:{s:2:"id";i:31;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:32;a:2:{s:2:"id";i:32;s:4:"text";a:1:{i:0;s:5:"latin";}}i:33;a:2:{s:2:"id";i:33;s:4:"text";a:2:{i:0;s:6:"arabic";i:1;s:5:"latin";}}i:34;a:2:{s:2:"id";i:34;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:35;a:2:{s:2:"id";i:35;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:36;a:2:{s:2:"id";i:36;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:37;a:2:{s:2:"id";i:37;s:4:"text";a:5:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";i:4;s:10:"vietnamese";}}i:38;a:2:{s:2:"id";i:38;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:39;a:2:{s:2:"id";i:39;s:4:"text";a:1:{i:0;s:5:"latin";}}i:40;a:2:{s:2:"id";i:40;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:5:"greek";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:41;a:2:{s:2:"id";i:41;s:4:"text";a:1:{i:0;s:5:"latin";}}i:42;a:2:{s:2:"id";i:42;s:4:"text";a:1:{i:0;s:5:"latin";}}i:43;a:2:{s:2:"id";i:43;s:4:"text";a:1:{i:0;s:5:"latin";}}i:44;a:2:{s:2:"id";i:44;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:45;a:2:{s:2:"id";i:45;s:4:"text";a:1:{i:0;s:5:"latin";}}i:46;a:2:{s:2:"id";i:46;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:47;a:2:{s:2:"id";i:47;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:48;a:2:{s:2:"id";i:48;s:4:"text";a:1:{i:0;s:5:"latin";}}i:49;a:2:{s:2:"id";i:49;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:50;a:2:{s:2:"id";i:50;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:51;a:2:{s:2:"id";i:51;s:4:"text";a:8:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:6:"hebrew";i:5;s:5:"latin";i:6;s:9:"latin-ext";i:7;s:10:"vietnamese";}}i:52;a:2:{s:2:"id";i:52;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:53;a:2:{s:2:"id";i:53;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:54;a:2:{s:2:"id";i:54;s:4:"text";a:1:{i:0;s:5:"latin";}}i:55;a:2:{s:2:"id";i:55;s:4:"text";a:1:{i:0;s:5:"latin";}}i:56;a:2:{s:2:"id";i:56;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:57;a:2:{s:2:"id";i:57;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:58;a:2:{s:2:"id";i:58;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:59;a:2:{s:2:"id";i:59;s:4:"text";a:1:{i:0;s:5:"latin";}}i:60;a:2:{s:2:"id";i:60;s:4:"text";a:1:{i:0;s:5:"latin";}}i:61;a:2:{s:2:"id";i:61;s:4:"text";a:1:{i:0;s:5:"latin";}}i:62;a:2:{s:2:"id";i:62;s:4:"text";a:1:{i:0;s:5:"latin";}}i:63;a:2:{s:2:"id";i:63;s:4:"text";a:1:{i:0;s:5:"latin";}}i:64;a:2:{s:2:"id";i:64;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:65;a:2:{s:2:"id";i:65;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:66;a:2:{s:2:"id";i:66;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:67;a:2:{s:2:"id";i:67;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:68;a:2:{s:2:"id";i:68;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:69;a:2:{s:2:"id";i:69;s:4:"text";a:1:{i:0;s:5:"latin";}}i:70;a:2:{s:2:"id";i:70;s:4:"text";a:1:{i:0;s:5:"latin";}}i:71;a:2:{s:2:"id";i:71;s:4:"text";a:1:{i:0;s:5:"latin";}}i:72;a:2:{s:2:"id";i:72;s:4:"text";a:2:{i:0;s:8:"cyrillic";i:1;s:5:"latin";}}i:73;a:2:{s:2:"id";i:73;s:4:"text";a:1:{i:0;s:5:"latin";}}i:74;a:2:{s:2:"id";i:74;s:4:"text";a:1:{i:0;s:5:"latin";}}i:75;a:2:{s:2:"id";i:75;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:76;a:2:{s:2:"id";i:76;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:77;a:2:{s:2:"id";i:77;s:4:"text";a:1:{i:0;s:5:"latin";}}i:78;a:2:{s:2:"id";i:78;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:79;a:2:{s:2:"id";i:79;s:4:"text";a:1:{i:0;s:5:"latin";}}i:80;a:2:{s:2:"id";i:80;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:81;a:2:{s:2:"id";i:81;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:82;a:2:{s:2:"id";i:82;s:4:"text";a:1:{i:0;s:5:"latin";}}i:83;a:2:{s:2:"id";i:83;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:84;a:2:{s:2:"id";i:84;s:4:"text";a:1:{i:0;s:5:"latin";}}i:85;a:2:{s:2:"id";i:85;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:86;a:2:{s:2:"id";i:86;s:4:"text";a:1:{i:0;s:5:"latin";}}i:87;a:2:{s:2:"id";i:87;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:88;a:2:{s:2:"id";i:88;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:89;a:2:{s:2:"id";i:89;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:90;a:2:{s:2:"id";i:90;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:91;a:2:{s:2:"id";i:91;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:92;a:2:{s:2:"id";i:92;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:93;a:2:{s:2:"id";i:93;s:4:"text";a:1:{i:0;s:5:"latin";}}i:94;a:2:{s:2:"id";i:94;s:4:"text";a:1:{i:0;s:5:"latin";}}i:95;a:2:{s:2:"id";i:95;s:4:"text";a:1:{i:0;s:5:"latin";}}i:96;a:2:{s:2:"id";i:96;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:97;a:2:{s:2:"id";i:97;s:4:"text";a:1:{i:0;s:5:"latin";}}i:98;a:2:{s:2:"id";i:98;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:99;a:2:{s:2:"id";i:99;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:100;a:2:{s:2:"id";i:100;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:101;a:2:{s:2:"id";i:101;s:4:"text";a:1:{i:0;s:5:"latin";}}i:102;a:2:{s:2:"id";i:102;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:103;a:2:{s:2:"id";i:103;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:104;a:2:{s:2:"id";i:104;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:105;a:2:{s:2:"id";i:105;s:4:"text";a:1:{i:0;s:5:"latin";}}i:106;a:2:{s:2:"id";i:106;s:4:"text";a:1:{i:0;s:5:"latin";}}i:107;a:2:{s:2:"id";i:107;s:4:"text";a:1:{i:0;s:5:"latin";}}i:108;a:2:{s:2:"id";i:108;s:4:"text";a:1:{i:0;s:5:"latin";}}i:109;a:2:{s:2:"id";i:109;s:4:"text";a:1:{i:0;s:5:"latin";}}i:110;a:2:{s:2:"id";i:110;s:4:"text";a:1:{i:0;s:5:"latin";}}i:111;a:2:{s:2:"id";i:111;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:112;a:2:{s:2:"id";i:112;s:4:"text";a:1:{i:0;s:5:"latin";}}i:113;a:2:{s:2:"id";i:113;s:4:"text";a:1:{i:0;s:5:"latin";}}i:114;a:2:{s:2:"id";i:114;s:4:"text";a:1:{i:0;s:5:"latin";}}i:115;a:2:{s:2:"id";i:115;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:116;a:2:{s:2:"id";i:116;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:117;a:2:{s:2:"id";i:117;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:118;a:2:{s:2:"id";i:118;s:4:"text";a:4:{i:0;s:5:"greek";i:1;s:9:"greek-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:119;a:2:{s:2:"id";i:119;s:4:"text";a:1:{i:0;s:5:"latin";}}i:120;a:2:{s:2:"id";i:120;s:4:"text";a:1:{i:0;s:5:"latin";}}i:121;a:2:{s:2:"id";i:121;s:4:"text";a:1:{i:0;s:5:"latin";}}i:122;a:2:{s:2:"id";i:122;s:4:"text";a:1:{i:0;s:5:"latin";}}i:123;a:2:{s:2:"id";i:123;s:4:"text";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:5:"tamil";}}i:124;a:2:{s:2:"id";i:124;s:4:"text";a:4:{i:0;s:5:"greek";i:1;s:9:"greek-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:125;a:2:{s:2:"id";i:125;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:126;a:2:{s:2:"id";i:126;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:127;a:2:{s:2:"id";i:127;s:4:"text";a:1:{i:0;s:5:"latin";}}i:128;a:2:{s:2:"id";i:128;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:129;a:2:{s:2:"id";i:129;s:4:"text";a:1:{i:0;s:5:"latin";}}i:130;a:2:{s:2:"id";i:130;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:131;a:2:{s:2:"id";i:131;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:132;a:2:{s:2:"id";i:132;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:133;a:2:{s:2:"id";i:133;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:134;a:2:{s:2:"id";i:134;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:135;a:2:{s:2:"id";i:135;s:4:"text";a:1:{i:0;s:5:"latin";}}i:136;a:2:{s:2:"id";i:136;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:137;a:2:{s:2:"id";i:137;s:4:"text";a:1:{i:0;s:5:"latin";}}i:138;a:2:{s:2:"id";i:138;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:139;a:2:{s:2:"id";i:139;s:4:"text";a:1:{i:0;s:5:"latin";}}i:140;a:2:{s:2:"id";i:140;s:4:"text";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:4:"thai";i:3;s:10:"vietnamese";}}i:141;a:2:{s:2:"id";i:141;s:4:"text";a:1:{i:0;s:5:"latin";}}i:142;a:2:{s:2:"id";i:142;s:4:"text";a:1:{i:0;s:5:"latin";}}i:143;a:2:{s:2:"id";i:143;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:144;a:2:{s:2:"id";i:144;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:145;a:2:{s:2:"id";i:145;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:146;a:2:{s:2:"id";i:146;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:147;a:2:{s:2:"id";i:147;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:148;a:2:{s:2:"id";i:148;s:4:"text";a:5:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:5:"latin";i:4;s:9:"latin-ext";}}i:149;a:2:{s:2:"id";i:149;s:4:"text";a:1:{i:0;s:5:"latin";}}i:150;a:2:{s:2:"id";i:150;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:151;a:2:{s:2:"id";i:151;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:152;a:2:{s:2:"id";i:152;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:153;a:2:{s:2:"id";i:153;s:4:"text";a:1:{i:0;s:5:"latin";}}i:154;a:2:{s:2:"id";i:154;s:4:"text";a:1:{i:0;s:5:"latin";}}i:155;a:2:{s:2:"id";i:155;s:4:"text";a:1:{i:0;s:5:"latin";}}i:156;a:2:{s:2:"id";i:156;s:4:"text";a:1:{i:0;s:5:"latin";}}i:157;a:2:{s:2:"id";i:157;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:158;a:2:{s:2:"id";i:158;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:159;a:2:{s:2:"id";i:159;s:4:"text";a:8:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:6:"hebrew";i:5;s:5:"latin";i:6;s:9:"latin-ext";i:7;s:10:"vietnamese";}}i:160;a:2:{s:2:"id";i:160;s:4:"text";a:1:{i:0;s:5:"latin";}}i:161;a:2:{s:2:"id";i:161;s:4:"text";a:1:{i:0;s:5:"latin";}}i:162;a:2:{s:2:"id";i:162;s:4:"text";a:1:{i:0;s:5:"latin";}}i:163;a:2:{s:2:"id";i:163;s:4:"text";a:1:{i:0;s:5:"latin";}}i:164;a:2:{s:2:"id";i:164;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:165;a:2:{s:2:"id";i:165;s:4:"text";a:1:{i:0;s:5:"latin";}}i:166;a:2:{s:2:"id";i:166;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:167;a:2:{s:2:"id";i:167;s:4:"text";a:1:{i:0;s:5:"latin";}}i:168;a:2:{s:2:"id";i:168;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:169;a:2:{s:2:"id";i:169;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:170;a:2:{s:2:"id";i:170;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:171;a:2:{s:2:"id";i:171;s:4:"text";a:1:{i:0;s:5:"latin";}}i:172;a:2:{s:2:"id";i:172;s:4:"text";a:1:{i:0;s:5:"latin";}}i:173;a:2:{s:2:"id";i:173;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:174;a:2:{s:2:"id";i:174;s:4:"text";a:1:{i:0;s:5:"latin";}}i:175;a:2:{s:2:"id";i:175;s:4:"text";a:1:{i:0;s:5:"latin";}}i:176;a:2:{s:2:"id";i:176;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:177;a:2:{s:2:"id";i:177;s:4:"text";a:1:{i:0;s:5:"latin";}}i:178;a:2:{s:2:"id";i:178;s:4:"text";a:1:{i:0;s:5:"latin";}}i:179;a:2:{s:2:"id";i:179;s:4:"text";a:1:{i:0;s:5:"latin";}}i:180;a:2:{s:2:"id";i:180;s:4:"text";a:1:{i:0;s:5:"latin";}}i:181;a:2:{s:2:"id";i:181;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:182;a:2:{s:2:"id";i:182;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:183;a:2:{s:2:"id";i:183;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:184;a:2:{s:2:"id";i:184;s:4:"text";a:6:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";}}i:185;a:2:{s:2:"id";i:185;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:186;a:2:{s:2:"id";i:186;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:187;a:2:{s:2:"id";i:187;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:188;a:2:{s:2:"id";i:188;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:189;a:2:{s:2:"id";i:189;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:190;a:2:{s:2:"id";i:190;s:4:"text";a:1:{i:0;s:5:"latin";}}i:191;a:2:{s:2:"id";i:191;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:192;a:2:{s:2:"id";i:192;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:193;a:2:{s:2:"id";i:193;s:4:"text";a:1:{i:0;s:5:"latin";}}i:194;a:2:{s:2:"id";i:194;s:4:"text";a:1:{i:0;s:5:"latin";}}i:195;a:2:{s:2:"id";i:195;s:4:"text";a:1:{i:0;s:5:"latin";}}i:196;a:2:{s:2:"id";i:196;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:197;a:2:{s:2:"id";i:197;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:198;a:2:{s:2:"id";i:198;s:4:"text";a:5:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";i:4;s:10:"vietnamese";}}i:199;a:2:{s:2:"id";i:199;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:200;a:2:{s:2:"id";i:200;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:201;a:2:{s:2:"id";i:201;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:202;a:2:{s:2:"id";i:202;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:203;a:2:{s:2:"id";i:203;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:204;a:2:{s:2:"id";i:204;s:4:"text";a:1:{i:0;s:5:"latin";}}i:205;a:2:{s:2:"id";i:205;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:206;a:2:{s:2:"id";i:206;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:207;a:2:{s:2:"id";i:207;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:208;a:2:{s:2:"id";i:208;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:209;a:2:{s:2:"id";i:209;s:4:"text";a:1:{i:0;s:5:"latin";}}i:210;a:2:{s:2:"id";i:210;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:211;a:2:{s:2:"id";i:211;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:212;a:2:{s:2:"id";i:212;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:213;a:2:{s:2:"id";i:213;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:214;a:2:{s:2:"id";i:214;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:215;a:2:{s:2:"id";i:215;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:216;a:2:{s:2:"id";i:216;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:217;a:2:{s:2:"id";i:217;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:218;a:2:{s:2:"id";i:218;s:4:"text";a:1:{i:0;s:5:"latin";}}i:219;a:2:{s:2:"id";i:219;s:4:"text";a:1:{i:0;s:5:"latin";}}i:220;a:2:{s:2:"id";i:220;s:4:"text";a:1:{i:0;s:5:"latin";}}i:221;a:2:{s:2:"id";i:221;s:4:"text";a:1:{i:0;s:5:"latin";}}i:222;a:2:{s:2:"id";i:222;s:4:"text";a:1:{i:0;s:5:"latin";}}i:223;a:2:{s:2:"id";i:223;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:224;a:2:{s:2:"id";i:224;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:225;a:2:{s:2:"id";i:225;s:4:"text";a:1:{i:0;s:5:"latin";}}i:226;a:2:{s:2:"id";i:226;s:4:"text";a:1:{i:0;s:5:"latin";}}i:227;a:2:{s:2:"id";i:227;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:228;a:2:{s:2:"id";i:228;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:229;a:2:{s:2:"id";i:229;s:4:"text";a:1:{i:0;s:5:"latin";}}i:230;a:2:{s:2:"id";i:230;s:4:"text";a:5:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:5:"latin";i:4;s:9:"latin-ext";}}i:231;a:2:{s:2:"id";i:231;s:4:"text";a:5:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:5:"latin";i:4;s:9:"latin-ext";}}i:232;a:2:{s:2:"id";i:232;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:233;a:2:{s:2:"id";i:233;s:4:"text";a:1:{i:0;s:5:"latin";}}i:234;a:2:{s:2:"id";i:234;s:4:"text";a:1:{i:0;s:5:"latin";}}i:235;a:2:{s:2:"id";i:235;s:4:"text";a:1:{i:0;s:5:"latin";}}i:236;a:2:{s:2:"id";i:236;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:237;a:2:{s:2:"id";i:237;s:4:"text";a:1:{i:0;s:5:"latin";}}i:238;a:2:{s:2:"id";i:238;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:239;a:2:{s:2:"id";i:239;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:240;a:2:{s:2:"id";i:240;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:241;a:2:{s:2:"id";i:241;s:4:"text";a:1:{i:0;s:5:"latin";}}i:242;a:2:{s:2:"id";i:242;s:4:"text";a:1:{i:0;s:5:"latin";}}i:243;a:2:{s:2:"id";i:243;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:244;a:2:{s:2:"id";i:244;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:245;a:2:{s:2:"id";i:245;s:4:"text";a:1:{i:0;s:5:"latin";}}i:246;a:2:{s:2:"id";i:246;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:247;a:2:{s:2:"id";i:247;s:4:"text";a:1:{i:0;s:5:"latin";}}i:248;a:2:{s:2:"id";i:248;s:4:"text";a:1:{i:0;s:5:"greek";}}i:249;a:2:{s:2:"id";i:249;s:4:"text";a:1:{i:0;s:5:"greek";}}i:250;a:2:{s:2:"id";i:250;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:251;a:2:{s:2:"id";i:251;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:252;a:2:{s:2:"id";i:252;s:4:"text";a:1:{i:0;s:5:"latin";}}i:253;a:2:{s:2:"id";i:253;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:254;a:2:{s:2:"id";i:254;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:255;a:2:{s:2:"id";i:255;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:256;a:2:{s:2:"id";i:256;s:4:"text";a:1:{i:0;s:5:"latin";}}i:257;a:2:{s:2:"id";i:257;s:4:"text";a:1:{i:0;s:5:"latin";}}i:258;a:2:{s:2:"id";i:258;s:4:"text";a:1:{i:0;s:5:"latin";}}i:259;a:2:{s:2:"id";i:259;s:4:"text";a:1:{i:0;s:5:"latin";}}i:260;a:2:{s:2:"id";i:260;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:261;a:2:{s:2:"id";i:261;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:262;a:2:{s:2:"id";i:262;s:4:"text";a:1:{i:0;s:5:"latin";}}i:263;a:2:{s:2:"id";i:263;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:264;a:2:{s:2:"id";i:264;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:265;a:2:{s:2:"id";i:265;s:4:"text";a:1:{i:0;s:5:"latin";}}i:266;a:2:{s:2:"id";i:266;s:4:"text";a:1:{i:0;s:5:"latin";}}i:267;a:2:{s:2:"id";i:267;s:4:"text";a:1:{i:0;s:5:"latin";}}i:268;a:2:{s:2:"id";i:268;s:4:"text";a:1:{i:0;s:5:"latin";}}i:269;a:2:{s:2:"id";i:269;s:4:"text";a:1:{i:0;s:5:"latin";}}i:270;a:2:{s:2:"id";i:270;s:4:"text";a:1:{i:0;s:5:"latin";}}i:271;a:2:{s:2:"id";i:271;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:272;a:2:{s:2:"id";i:272;s:4:"text";a:1:{i:0;s:5:"latin";}}i:273;a:2:{s:2:"id";i:273;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:274;a:2:{s:2:"id";i:274;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:275;a:2:{s:2:"id";i:275;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:276;a:2:{s:2:"id";i:276;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:277;a:2:{s:2:"id";i:277;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:278;a:2:{s:2:"id";i:278;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:279;a:2:{s:2:"id";i:279;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:280;a:2:{s:2:"id";i:280;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:281;a:2:{s:2:"id";i:281;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:282;a:2:{s:2:"id";i:282;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:283;a:2:{s:2:"id";i:283;s:4:"text";a:1:{i:0;s:5:"latin";}}i:284;a:2:{s:2:"id";i:284;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:285;a:2:{s:2:"id";i:285;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:286;a:2:{s:2:"id";i:286;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:287;a:2:{s:2:"id";i:287;s:4:"text";a:1:{i:0;s:5:"latin";}}i:288;a:2:{s:2:"id";i:288;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:289;a:2:{s:2:"id";i:289;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:290;a:2:{s:2:"id";i:290;s:4:"text";a:3:{i:0;s:7:"bengali";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:291;a:2:{s:2:"id";i:291;s:4:"text";a:3:{i:0;s:8:"gujarati";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:292;a:2:{s:2:"id";i:292;s:4:"text";a:1:{i:0;s:5:"latin";}}i:293;a:2:{s:2:"id";i:293;s:4:"text";a:1:{i:0;s:5:"latin";}}i:294;a:2:{s:2:"id";i:294;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:295;a:2:{s:2:"id";i:295;s:4:"text";a:1:{i:0;s:5:"latin";}}i:296;a:2:{s:2:"id";i:296;s:4:"text";a:1:{i:0;s:5:"latin";}}i:297;a:2:{s:2:"id";i:297;s:4:"text";a:1:{i:0;s:5:"latin";}}i:298;a:2:{s:2:"id";i:298;s:4:"text";a:1:{i:0;s:5:"latin";}}i:299;a:2:{s:2:"id";i:299;s:4:"text";a:1:{i:0;s:5:"latin";}}i:300;a:2:{s:2:"id";i:300;s:4:"text";a:1:{i:0;s:5:"latin";}}i:301;a:2:{s:2:"id";i:301;s:4:"text";a:1:{i:0;s:5:"latin";}}i:302;a:2:{s:2:"id";i:302;s:4:"text";a:1:{i:0;s:5:"latin";}}i:303;a:2:{s:2:"id";i:303;s:4:"text";a:1:{i:0;s:5:"latin";}}i:304;a:2:{s:2:"id";i:304;s:4:"text";a:1:{i:0;s:5:"latin";}}i:305;a:2:{s:2:"id";i:305;s:4:"text";a:1:{i:0;s:5:"latin";}}i:306;a:2:{s:2:"id";i:306;s:4:"text";a:1:{i:0;s:5:"latin";}}i:307;a:2:{s:2:"id";i:307;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:308;a:2:{s:2:"id";i:308;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:309;a:2:{s:2:"id";i:309;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:310;a:2:{s:2:"id";i:310;s:4:"text";a:1:{i:0;s:5:"latin";}}i:311;a:2:{s:2:"id";i:311;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:312;a:2:{s:2:"id";i:312;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:313;a:2:{s:2:"id";i:313;s:4:"text";a:1:{i:0;s:5:"latin";}}i:314;a:2:{s:2:"id";i:314;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:315;a:2:{s:2:"id";i:315;s:4:"text";a:1:{i:0;s:5:"latin";}}i:316;a:2:{s:2:"id";i:316;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:317;a:2:{s:2:"id";i:317;s:4:"text";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:4:"thai";i:3;s:10:"vietnamese";}}i:318;a:2:{s:2:"id";i:318;s:4:"text";a:1:{i:0;s:5:"latin";}}i:319;a:2:{s:2:"id";i:319;s:4:"text";a:1:{i:0;s:5:"latin";}}i:320;a:2:{s:2:"id";i:320;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:321;a:2:{s:2:"id";i:321;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:322;a:2:{s:2:"id";i:322;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:323;a:2:{s:2:"id";i:323;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:324;a:2:{s:2:"id";i:324;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:325;a:2:{s:2:"id";i:325;s:4:"text";a:1:{i:0;s:5:"latin";}}i:326;a:2:{s:2:"id";i:326;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:327;a:2:{s:2:"id";i:327;s:4:"text";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}}i:328;a:2:{s:2:"id";i:328;s:4:"text";a:1:{i:0;s:5:"latin";}}i:329;a:2:{s:2:"id";i:329;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:330;a:2:{s:2:"id";i:330;s:4:"text";a:1:{i:0;s:5:"latin";}}i:331;a:2:{s:2:"id";i:331;s:4:"text";a:5:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:5:"latin";i:4;s:9:"latin-ext";}}i:332;a:2:{s:2:"id";i:332;s:4:"text";a:1:{i:0;s:5:"latin";}}i:333;a:2:{s:2:"id";i:333;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:334;a:2:{s:2:"id";i:334;s:4:"text";a:2:{i:0;s:10:"devanagari";i:1;s:5:"latin";}}i:335;a:2:{s:2:"id";i:335;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:336;a:2:{s:2:"id";i:336;s:4:"text";a:1:{i:0;s:5:"latin";}}i:337;a:2:{s:2:"id";i:337;s:4:"text";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:4:"thai";i:3;s:10:"vietnamese";}}i:338;a:2:{s:2:"id";i:338;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:339;a:2:{s:2:"id";i:339;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:340;a:2:{s:2:"id";i:340;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:341;a:2:{s:2:"id";i:341;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:342;a:2:{s:2:"id";i:342;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:343;a:2:{s:2:"id";i:343;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:344;a:2:{s:2:"id";i:344;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:345;a:2:{s:2:"id";i:345;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:346;a:2:{s:2:"id";i:346;s:4:"text";a:1:{i:0;s:5:"latin";}}i:347;a:2:{s:2:"id";i:347;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:348;a:2:{s:2:"id";i:348;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:349;a:2:{s:2:"id";i:349;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:350;a:2:{s:2:"id";i:350;s:4:"text";a:1:{i:0;s:5:"latin";}}i:351;a:2:{s:2:"id";i:351;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:352;a:2:{s:2:"id";i:352;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:353;a:2:{s:2:"id";i:353;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:354;a:2:{s:2:"id";i:354;s:4:"text";a:1:{i:0;s:5:"latin";}}i:355;a:2:{s:2:"id";i:355;s:4:"text";a:1:{i:0;s:5:"latin";}}i:356;a:2:{s:2:"id";i:356;s:4:"text";a:1:{i:0;s:5:"latin";}}i:357;a:2:{s:2:"id";i:357;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:358;a:2:{s:2:"id";i:358;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:10:"devanagari";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:359;a:2:{s:2:"id";i:359;s:4:"text";a:1:{i:0;s:5:"latin";}}i:360;a:2:{s:2:"id";i:360;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:361;a:2:{s:2:"id";i:361;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:362;a:2:{s:2:"id";i:362;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:363;a:2:{s:2:"id";i:363;s:4:"text";a:2:{i:0;s:6:"arabic";i:1;s:5:"latin";}}i:364;a:2:{s:2:"id";i:364;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:365;a:2:{s:2:"id";i:365;s:4:"text";a:1:{i:0;s:5:"latin";}}i:366;a:2:{s:2:"id";i:366;s:4:"text";a:1:{i:0;s:5:"latin";}}i:367;a:2:{s:2:"id";i:367;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:368;a:2:{s:2:"id";i:368;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:369;a:2:{s:2:"id";i:369;s:4:"text";a:1:{i:0;s:5:"latin";}}i:370;a:2:{s:2:"id";i:370;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:371;a:2:{s:2:"id";i:371;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:372;a:2:{s:2:"id";i:372;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:373;a:2:{s:2:"id";i:373;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:374;a:2:{s:2:"id";i:374;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:375;a:2:{s:2:"id";i:375;s:4:"text";a:1:{i:0;s:5:"latin";}}i:376;a:2:{s:2:"id";i:376;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";i:3;s:10:"vietnamese";}}i:377;a:2:{s:2:"id";i:377;s:4:"text";a:1:{i:0;s:5:"latin";}}i:378;a:2:{s:2:"id";i:378;s:4:"text";a:1:{i:0;s:5:"latin";}}i:379;a:2:{s:2:"id";i:379;s:4:"text";a:1:{i:0;s:5:"latin";}}i:380;a:2:{s:2:"id";i:380;s:4:"text";a:1:{i:0;s:5:"latin";}}i:381;a:2:{s:2:"id";i:381;s:4:"text";a:1:{i:0;s:5:"latin";}}i:382;a:2:{s:2:"id";i:382;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:383;a:2:{s:2:"id";i:383;s:4:"text";a:1:{i:0;s:5:"latin";}}i:384;a:2:{s:2:"id";i:384;s:4:"text";a:1:{i:0;s:5:"latin";}}i:385;a:2:{s:2:"id";i:385;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:386;a:2:{s:2:"id";i:386;s:4:"text";a:1:{i:0;s:5:"latin";}}i:387;a:2:{s:2:"id";i:387;s:4:"text";a:1:{i:0;s:5:"latin";}}i:388;a:2:{s:2:"id";i:388;s:4:"text";a:1:{i:0;s:5:"latin";}}i:389;a:2:{s:2:"id";i:389;s:4:"text";a:1:{i:0;s:5:"latin";}}i:390;a:2:{s:2:"id";i:390;s:4:"text";a:1:{i:0;s:5:"latin";}}i:391;a:2:{s:2:"id";i:391;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:392;a:2:{s:2:"id";i:392;s:4:"text";a:1:{i:0;s:5:"latin";}}i:393;a:2:{s:2:"id";i:393;s:4:"text";a:1:{i:0;s:5:"latin";}}i:394;a:2:{s:2:"id";i:394;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:395;a:2:{s:2:"id";i:395;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:396;a:2:{s:2:"id";i:396;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:397;a:2:{s:2:"id";i:397;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:398;a:2:{s:2:"id";i:398;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:399;a:2:{s:2:"id";i:399;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:400;a:2:{s:2:"id";i:400;s:4:"text";a:1:{i:0;s:5:"latin";}}i:401;a:2:{s:2:"id";i:401;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:402;a:2:{s:2:"id";i:402;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:403;a:2:{s:2:"id";i:403;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:404;a:2:{s:2:"id";i:404;s:4:"text";a:1:{i:0;s:5:"latin";}}i:405;a:2:{s:2:"id";i:405;s:4:"text";a:1:{i:0;s:5:"latin";}}i:406;a:2:{s:2:"id";i:406;s:4:"text";a:1:{i:0;s:5:"latin";}}i:407;a:2:{s:2:"id";i:407;s:4:"text";a:1:{i:0;s:5:"latin";}}i:408;a:2:{s:2:"id";i:408;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:409;a:2:{s:2:"id";i:409;s:4:"text";a:1:{i:0;s:5:"latin";}}i:410;a:2:{s:2:"id";i:410;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:411;a:2:{s:2:"id";i:411;s:4:"text";a:1:{i:0;s:5:"latin";}}i:412;a:2:{s:2:"id";i:412;s:4:"text";a:1:{i:0;s:5:"latin";}}i:413;a:2:{s:2:"id";i:413;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:414;a:2:{s:2:"id";i:414;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:415;a:2:{s:2:"id";i:415;s:4:"text";a:1:{i:0;s:5:"latin";}}i:416;a:2:{s:2:"id";i:416;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:417;a:2:{s:2:"id";i:417;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:418;a:2:{s:2:"id";i:418;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:419;a:2:{s:2:"id";i:419;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:420;a:2:{s:2:"id";i:420;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:421;a:2:{s:2:"id";i:421;s:4:"text";a:1:{i:0;s:5:"latin";}}i:422;a:2:{s:2:"id";i:422;s:4:"text";a:1:{i:0;s:5:"latin";}}i:423;a:2:{s:2:"id";i:423;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:424;a:2:{s:2:"id";i:424;s:4:"text";a:1:{i:0;s:5:"latin";}}i:425;a:2:{s:2:"id";i:425;s:4:"text";a:1:{i:0;s:5:"latin";}}i:426;a:2:{s:2:"id";i:426;s:4:"text";a:1:{i:0;s:5:"latin";}}i:427;a:2:{s:2:"id";i:427;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:428;a:2:{s:2:"id";i:428;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:429;a:2:{s:2:"id";i:429;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:430;a:2:{s:2:"id";i:430;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:431;a:2:{s:2:"id";i:431;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:432;a:2:{s:2:"id";i:432;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:433;a:2:{s:2:"id";i:433;s:4:"text";a:1:{i:0;s:5:"latin";}}i:434;a:2:{s:2:"id";i:434;s:4:"text";a:1:{i:0;s:5:"latin";}}i:435;a:2:{s:2:"id";i:435;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:436;a:2:{s:2:"id";i:436;s:4:"text";a:1:{i:0;s:5:"latin";}}i:437;a:2:{s:2:"id";i:437;s:4:"text";a:1:{i:0;s:5:"latin";}}i:438;a:2:{s:2:"id";i:438;s:4:"text";a:1:{i:0;s:5:"latin";}}i:439;a:2:{s:2:"id";i:439;s:4:"text";a:1:{i:0;s:5:"latin";}}i:440;a:2:{s:2:"id";i:440;s:4:"text";a:1:{i:0;s:5:"latin";}}i:441;a:2:{s:2:"id";i:441;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:442;a:2:{s:2:"id";i:442;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:443;a:2:{s:2:"id";i:443;s:4:"text";a:1:{i:0;s:5:"latin";}}i:444;a:2:{s:2:"id";i:444;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:445;a:2:{s:2:"id";i:445;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:446;a:2:{s:2:"id";i:446;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:447;a:2:{s:2:"id";i:447;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:448;a:2:{s:2:"id";i:448;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:449;a:2:{s:2:"id";i:449;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:450;a:2:{s:2:"id";i:450;s:4:"text";a:1:{i:0;s:5:"latin";}}i:451;a:2:{s:2:"id";i:451;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:452;a:2:{s:2:"id";i:452;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:453;a:2:{s:2:"id";i:453;s:4:"text";a:2:{i:0;s:8:"cyrillic";i:1;s:5:"latin";}}i:454;a:2:{s:2:"id";i:454;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:455;a:2:{s:2:"id";i:455;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:456;a:2:{s:2:"id";i:456;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:457;a:2:{s:2:"id";i:457;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:458;a:2:{s:2:"id";i:458;s:4:"text";a:1:{i:0;s:5:"latin";}}i:459;a:2:{s:2:"id";i:459;s:4:"text";a:1:{i:0;s:5:"latin";}}i:460;a:2:{s:2:"id";i:460;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:461;a:2:{s:2:"id";i:461;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:462;a:2:{s:2:"id";i:462;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:463;a:2:{s:2:"id";i:463;s:4:"text";a:1:{i:0;s:5:"latin";}}i:464;a:2:{s:2:"id";i:464;s:4:"text";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}}i:465;a:2:{s:2:"id";i:465;s:4:"text";a:8:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:10:"devanagari";i:3;s:5:"greek";i:4;s:9:"greek-ext";i:5;s:5:"latin";i:6;s:9:"latin-ext";i:7;s:10:"vietnamese";}}i:466;a:2:{s:2:"id";i:466;s:4:"text";a:7:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";i:6;s:10:"vietnamese";}}i:467;a:2:{s:2:"id";i:467;s:4:"text";a:1:{i:0;s:5:"latin";}}i:468;a:2:{s:2:"id";i:468;s:4:"text";a:1:{i:0;s:5:"latin";}}i:469;a:2:{s:2:"id";i:469;s:4:"text";a:2:{i:0;s:5:"greek";i:1;s:5:"latin";}}i:470;a:2:{s:2:"id";i:470;s:4:"text";a:1:{i:0;s:5:"latin";}}i:471;a:2:{s:2:"id";i:471;s:4:"text";a:1:{i:0;s:5:"latin";}}i:472;a:2:{s:2:"id";i:472;s:4:"text";a:1:{i:0;s:5:"latin";}}i:473;a:2:{s:2:"id";i:473;s:4:"text";a:1:{i:0;s:5:"latin";}}i:474;a:2:{s:2:"id";i:474;s:4:"text";a:1:{i:0;s:5:"latin";}}i:475;a:2:{s:2:"id";i:475;s:4:"text";a:1:{i:0;s:5:"latin";}}i:476;a:2:{s:2:"id";i:476;s:4:"text";a:1:{i:0;s:5:"latin";}}i:477;a:2:{s:2:"id";i:477;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:478;a:2:{s:2:"id";i:478;s:4:"text";a:1:{i:0;s:5:"latin";}}i:479;a:2:{s:2:"id";i:479;s:4:"text";a:1:{i:0;s:5:"latin";}}i:480;a:2:{s:2:"id";i:480;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:481;a:2:{s:2:"id";i:481;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:482;a:2:{s:2:"id";i:482;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:483;a:2:{s:2:"id";i:483;s:4:"text";a:7:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";i:6;s:10:"vietnamese";}}i:484;a:2:{s:2:"id";i:484;s:4:"text";a:7:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";i:6;s:10:"vietnamese";}}i:485;a:2:{s:2:"id";i:485;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:486;a:2:{s:2:"id";i:486;s:4:"text";a:1:{i:0;s:5:"latin";}}i:487;a:2:{s:2:"id";i:487;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:488;a:2:{s:2:"id";i:488;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:489;a:2:{s:2:"id";i:489;s:4:"text";a:1:{i:0;s:5:"latin";}}i:490;a:2:{s:2:"id";i:490;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:491;a:2:{s:2:"id";i:491;s:4:"text";a:1:{i:0;s:5:"latin";}}i:492;a:2:{s:2:"id";i:492;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:493;a:2:{s:2:"id";i:493;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:494;a:2:{s:2:"id";i:494;s:4:"text";a:1:{i:0;s:5:"latin";}}i:495;a:2:{s:2:"id";i:495;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:496;a:2:{s:2:"id";i:496;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:497;a:2:{s:2:"id";i:497;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:498;a:2:{s:2:"id";i:498;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:499;a:2:{s:2:"id";i:499;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:500;a:2:{s:2:"id";i:500;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:501;a:2:{s:2:"id";i:501;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:502;a:2:{s:2:"id";i:502;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:503;a:2:{s:2:"id";i:503;s:4:"text";a:1:{i:0;s:5:"latin";}}i:504;a:2:{s:2:"id";i:504;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:505;a:2:{s:2:"id";i:505;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:506;a:2:{s:2:"id";i:506;s:4:"text";a:1:{i:0;s:5:"latin";}}i:507;a:2:{s:2:"id";i:507;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:508;a:2:{s:2:"id";i:508;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:509;a:2:{s:2:"id";i:509;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:510;a:2:{s:2:"id";i:510;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:511;a:2:{s:2:"id";i:511;s:4:"text";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}}i:512;a:2:{s:2:"id";i:512;s:4:"text";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}}i:513;a:2:{s:2:"id";i:513;s:4:"text";a:1:{i:0;s:5:"latin";}}i:514;a:2:{s:2:"id";i:514;s:4:"text";a:1:{i:0;s:5:"latin";}}i:515;a:2:{s:2:"id";i:515;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:516;a:2:{s:2:"id";i:516;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:517;a:2:{s:2:"id";i:517;s:4:"text";a:1:{i:0;s:5:"latin";}}i:518;a:2:{s:2:"id";i:518;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:519;a:2:{s:2:"id";i:519;s:4:"text";a:1:{i:0;s:5:"latin";}}i:520;a:2:{s:2:"id";i:520;s:4:"text";a:2:{i:0;s:8:"cyrillic";i:1;s:5:"latin";}}i:521;a:2:{s:2:"id";i:521;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:522;a:2:{s:2:"id";i:522;s:4:"text";a:1:{i:0;s:5:"latin";}}i:523;a:2:{s:2:"id";i:523;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:524;a:2:{s:2:"id";i:524;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:525;a:2:{s:2:"id";i:525;s:4:"text";a:5:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:5:"latin";i:4;s:9:"latin-ext";}}i:526;a:2:{s:2:"id";i:526;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:527;a:2:{s:2:"id";i:527;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:528;a:2:{s:2:"id";i:528;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:529;a:2:{s:2:"id";i:529;s:4:"text";a:1:{i:0;s:5:"latin";}}i:530;a:2:{s:2:"id";i:530;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:531;a:2:{s:2:"id";i:531;s:4:"text";a:1:{i:0;s:5:"latin";}}i:532;a:2:{s:2:"id";i:532;s:4:"text";a:1:{i:0;s:5:"latin";}}i:533;a:2:{s:2:"id";i:533;s:4:"text";a:1:{i:0;s:5:"latin";}}i:534;a:2:{s:2:"id";i:534;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:535;a:2:{s:2:"id";i:535;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:536;a:2:{s:2:"id";i:536;s:4:"text";a:1:{i:0;s:5:"latin";}}i:537;a:2:{s:2:"id";i:537;s:4:"text";a:1:{i:0;s:5:"latin";}}i:538;a:2:{s:2:"id";i:538;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:539;a:2:{s:2:"id";i:539;s:4:"text";a:1:{i:0;s:5:"latin";}}i:540;a:2:{s:2:"id";i:540;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:541;a:2:{s:2:"id";i:541;s:4:"text";a:4:{i:0;s:8:"cyrillic";i:1;s:5:"greek";i:2;s:5:"latin";i:3;s:9:"latin-ext";}}i:542;a:2:{s:2:"id";i:542;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:543;a:2:{s:2:"id";i:543;s:4:"text";a:1:{i:0;s:5:"latin";}}i:544;a:2:{s:2:"id";i:544;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:545;a:2:{s:2:"id";i:545;s:4:"text";a:1:{i:0;s:5:"latin";}}i:546;a:2:{s:2:"id";i:546;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:547;a:2:{s:2:"id";i:547;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:548;a:2:{s:2:"id";i:548;s:4:"text";a:1:{i:0;s:5:"latin";}}i:549;a:2:{s:2:"id";i:549;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:550;a:2:{s:2:"id";i:550;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:551;a:2:{s:2:"id";i:551;s:4:"text";a:1:{i:0;s:5:"latin";}}i:552;a:2:{s:2:"id";i:552;s:4:"text";a:1:{i:0;s:5:"latin";}}i:553;a:2:{s:2:"id";i:553;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:554;a:2:{s:2:"id";i:554;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:555;a:2:{s:2:"id";i:555;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:556;a:2:{s:2:"id";i:556;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:557;a:2:{s:2:"id";i:557;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:558;a:2:{s:2:"id";i:558;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:559;a:2:{s:2:"id";i:559;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:560;a:2:{s:2:"id";i:560;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:561;a:2:{s:2:"id";i:561;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:562;a:2:{s:2:"id";i:562;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:563;a:2:{s:2:"id";i:563;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:564;a:2:{s:2:"id";i:564;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:565;a:2:{s:2:"id";i:565;s:4:"text";a:1:{i:0;s:5:"latin";}}i:566;a:2:{s:2:"id";i:566;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:567;a:2:{s:2:"id";i:567;s:4:"text";a:1:{i:0;s:5:"latin";}}i:568;a:2:{s:2:"id";i:568;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:569;a:2:{s:2:"id";i:569;s:4:"text";a:1:{i:0;s:5:"latin";}}i:570;a:2:{s:2:"id";i:570;s:4:"text";a:1:{i:0;s:5:"latin";}}i:571;a:2:{s:2:"id";i:571;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:572;a:2:{s:2:"id";i:572;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:573;a:2:{s:2:"id";i:573;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:574;a:2:{s:2:"id";i:574;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:575;a:2:{s:2:"id";i:575;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:576;a:2:{s:2:"id";i:576;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:577;a:2:{s:2:"id";i:577;s:4:"text";a:7:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";i:6;s:10:"vietnamese";}}i:578;a:2:{s:2:"id";i:578;s:4:"text";a:7:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";i:6;s:10:"vietnamese";}}i:579;a:2:{s:2:"id";i:579;s:4:"text";a:7:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";i:6;s:10:"vietnamese";}}i:580;a:2:{s:2:"id";i:580;s:4:"text";a:7:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";i:6;s:10:"vietnamese";}}i:581;a:2:{s:2:"id";i:581;s:4:"text";a:1:{i:0;s:5:"latin";}}i:582;a:2:{s:2:"id";i:582;s:4:"text";a:1:{i:0;s:5:"latin";}}i:583;a:2:{s:2:"id";i:583;s:4:"text";a:1:{i:0;s:5:"latin";}}i:584;a:2:{s:2:"id";i:584;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:585;a:2:{s:2:"id";i:585;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:586;a:2:{s:2:"id";i:586;s:4:"text";a:1:{i:0;s:5:"latin";}}i:587;a:2:{s:2:"id";i:587;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:588;a:2:{s:2:"id";i:588;s:4:"text";a:1:{i:0;s:5:"latin";}}i:589;a:2:{s:2:"id";i:589;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:590;a:2:{s:2:"id";i:590;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:591;a:2:{s:2:"id";i:591;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:592;a:2:{s:2:"id";i:592;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:593;a:2:{s:2:"id";i:593;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:594;a:2:{s:2:"id";i:594;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:595;a:2:{s:2:"id";i:595;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:596;a:2:{s:2:"id";i:596;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:597;a:2:{s:2:"id";i:597;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:598;a:2:{s:2:"id";i:598;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:599;a:2:{s:2:"id";i:599;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:600;a:2:{s:2:"id";i:600;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:601;a:2:{s:2:"id";i:601;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:602;a:2:{s:2:"id";i:602;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:603;a:2:{s:2:"id";i:603;s:4:"text";a:2:{i:0;s:10:"devanagari";i:1;s:5:"latin";}}i:604;a:2:{s:2:"id";i:604;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:605;a:2:{s:2:"id";i:605;s:4:"text";a:1:{i:0;s:5:"latin";}}i:606;a:2:{s:2:"id";i:606;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:607;a:2:{s:2:"id";i:607;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:608;a:2:{s:2:"id";i:608;s:4:"text";a:1:{i:0;s:5:"latin";}}i:609;a:2:{s:2:"id";i:609;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:610;a:2:{s:2:"id";i:610;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:611;a:2:{s:2:"id";i:611;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:612;a:2:{s:2:"id";i:612;s:4:"text";a:1:{i:0;s:5:"latin";}}i:613;a:2:{s:2:"id";i:613;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:614;a:2:{s:2:"id";i:614;s:4:"text";a:2:{i:0;s:6:"arabic";i:1;s:5:"latin";}}i:615;a:2:{s:2:"id";i:615;s:4:"text";a:1:{i:0;s:5:"latin";}}i:616;a:2:{s:2:"id";i:616;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:617;a:2:{s:2:"id";i:617;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:618;a:2:{s:2:"id";i:618;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:619;a:2:{s:2:"id";i:619;s:4:"text";a:1:{i:0;s:5:"latin";}}i:620;a:2:{s:2:"id";i:620;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:621;a:2:{s:2:"id";i:621;s:4:"text";a:1:{i:0;s:5:"latin";}}i:622;a:2:{s:2:"id";i:622;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:623;a:2:{s:2:"id";i:623;s:4:"text";a:1:{i:0;s:5:"latin";}}i:624;a:2:{s:2:"id";i:624;s:4:"text";a:1:{i:0;s:5:"latin";}}i:625;a:2:{s:2:"id";i:625;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:626;a:2:{s:2:"id";i:626;s:4:"text";a:1:{i:0;s:5:"latin";}}i:627;a:2:{s:2:"id";i:627;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:628;a:2:{s:2:"id";i:628;s:4:"text";a:1:{i:0;s:5:"latin";}}i:629;a:2:{s:2:"id";i:629;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:630;a:2:{s:2:"id";i:630;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:631;a:2:{s:2:"id";i:631;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:632;a:2:{s:2:"id";i:632;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:633;a:2:{s:2:"id";i:633;s:4:"text";a:1:{i:0;s:5:"latin";}}i:634;a:2:{s:2:"id";i:634;s:4:"text";a:1:{i:0;s:5:"latin";}}i:635;a:2:{s:2:"id";i:635;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:636;a:2:{s:2:"id";i:636;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:637;a:2:{s:2:"id";i:637;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:638;a:2:{s:2:"id";i:638;s:4:"text";a:1:{i:0;s:5:"latin";}}i:639;a:2:{s:2:"id";i:639;s:4:"text";a:1:{i:0;s:5:"latin";}}i:640;a:2:{s:2:"id";i:640;s:4:"text";a:1:{i:0;s:5:"latin";}}i:641;a:2:{s:2:"id";i:641;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:642;a:2:{s:2:"id";i:642;s:4:"text";a:1:{i:0;s:5:"latin";}}i:643;a:2:{s:2:"id";i:643;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:644;a:2:{s:2:"id";i:644;s:4:"text";a:1:{i:0;s:5:"latin";}}i:645;a:2:{s:2:"id";i:645;s:4:"text";a:1:{i:0;s:5:"latin";}}i:646;a:2:{s:2:"id";i:646;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:647;a:2:{s:2:"id";i:647;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:648;a:2:{s:2:"id";i:648;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:649;a:2:{s:2:"id";i:649;s:4:"text";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}}i:650;a:2:{s:2:"id";i:650;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:651;a:2:{s:2:"id";i:651;s:4:"text";a:1:{i:0;s:5:"latin";}}i:652;a:2:{s:2:"id";i:652;s:4:"text";a:1:{i:0;s:5:"latin";}}i:653;a:2:{s:2:"id";i:653;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:654;a:2:{s:2:"id";i:654;s:4:"text";a:1:{i:0;s:5:"latin";}}i:655;a:2:{s:2:"id";i:655;s:4:"text";a:1:{i:0;s:5:"latin";}}i:656;a:2:{s:2:"id";i:656;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:657;a:2:{s:2:"id";i:657;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:658;a:2:{s:2:"id";i:658;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:659;a:2:{s:2:"id";i:659;s:4:"text";a:1:{i:0;s:5:"latin";}}i:660;a:2:{s:2:"id";i:660;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:661;a:2:{s:2:"id";i:661;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:662;a:2:{s:2:"id";i:662;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:663;a:2:{s:2:"id";i:663;s:4:"text";a:1:{i:0;s:5:"latin";}}i:664;a:2:{s:2:"id";i:664;s:4:"text";a:1:{i:0;s:5:"latin";}}i:665;a:2:{s:2:"id";i:665;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:666;a:2:{s:2:"id";i:666;s:4:"text";a:1:{i:0;s:5:"latin";}}i:667;a:2:{s:2:"id";i:667;s:4:"text";a:1:{i:0;s:5:"latin";}}i:668;a:2:{s:2:"id";i:668;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:669;a:2:{s:2:"id";i:669;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:670;a:2:{s:2:"id";i:670;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:671;a:2:{s:2:"id";i:671;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:672;a:2:{s:2:"id";i:672;s:4:"text";a:1:{i:0;s:5:"latin";}}i:673;a:2:{s:2:"id";i:673;s:4:"text";a:1:{i:0;s:5:"latin";}}i:674;a:2:{s:2:"id";i:674;s:4:"text";a:1:{i:0;s:5:"latin";}}i:675;a:2:{s:2:"id";i:675;s:4:"text";a:1:{i:0;s:5:"khmer";}}i:676;a:2:{s:2:"id";i:676;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:677;a:2:{s:2:"id";i:677;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:678;a:2:{s:2:"id";i:678;s:4:"text";a:1:{i:0;s:5:"latin";}}i:679;a:2:{s:2:"id";i:679;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:680;a:2:{s:2:"id";i:680;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:681;a:2:{s:2:"id";i:681;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:682;a:2:{s:2:"id";i:682;s:4:"text";a:1:{i:0;s:5:"latin";}}i:683;a:2:{s:2:"id";i:683;s:4:"text";a:1:{i:0;s:5:"latin";}}i:684;a:2:{s:2:"id";i:684;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:685;a:2:{s:2:"id";i:685;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:6:"telugu";}}i:686;a:2:{s:2:"id";i:686;s:4:"text";a:8:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:6:"hebrew";i:5;s:5:"latin";i:6;s:9:"latin-ext";i:7;s:10:"vietnamese";}}i:687;a:2:{s:2:"id";i:687;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:688;a:2:{s:2:"id";i:688;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:689;a:2:{s:2:"id";i:689;s:4:"text";a:1:{i:0;s:5:"latin";}}i:690;a:2:{s:2:"id";i:690;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:691;a:2:{s:2:"id";i:691;s:4:"text";a:1:{i:0;s:5:"latin";}}i:692;a:2:{s:2:"id";i:692;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:693;a:2:{s:2:"id";i:693;s:4:"text";a:1:{i:0;s:5:"latin";}}i:694;a:2:{s:2:"id";i:694;s:4:"text";a:6:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";}}i:695;a:2:{s:2:"id";i:695;s:4:"text";a:6:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";}}i:696;a:2:{s:2:"id";i:696;s:4:"text";a:6:{i:0;s:8:"cyrillic";i:1;s:12:"cyrillic-ext";i:2;s:5:"greek";i:3;s:9:"greek-ext";i:4;s:5:"latin";i:5;s:9:"latin-ext";}}i:697;a:2:{s:2:"id";i:697;s:4:"text";a:1:{i:0;s:5:"latin";}}i:698;a:2:{s:2:"id";i:698;s:4:"text";a:1:{i:0;s:5:"latin";}}i:699;a:2:{s:2:"id";i:699;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:700;a:2:{s:2:"id";i:700;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:701;a:2:{s:2:"id";i:701;s:4:"text";a:1:{i:0;s:5:"latin";}}i:702;a:2:{s:2:"id";i:702;s:4:"text";a:1:{i:0;s:5:"latin";}}i:703;a:2:{s:2:"id";i:703;s:4:"text";a:1:{i:0;s:5:"latin";}}i:704;a:2:{s:2:"id";i:704;s:4:"text";a:1:{i:0;s:5:"latin";}}i:705;a:2:{s:2:"id";i:705;s:4:"text";a:1:{i:0;s:5:"latin";}}i:706;a:2:{s:2:"id";i:706;s:4:"text";a:1:{i:0;s:5:"latin";}}i:707;a:2:{s:2:"id";i:707;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:708;a:2:{s:2:"id";i:708;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:709;a:2:{s:2:"id";i:709;s:4:"text";a:1:{i:0;s:5:"latin";}}i:710;a:2:{s:2:"id";i:710;s:4:"text";a:1:{i:0;s:5:"latin";}}i:711;a:2:{s:2:"id";i:711;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:712;a:2:{s:2:"id";i:712;s:4:"text";a:1:{i:0;s:5:"latin";}}i:713;a:2:{s:2:"id";i:713;s:4:"text";a:1:{i:0;s:5:"latin";}}i:714;a:2:{s:2:"id";i:714;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:715;a:2:{s:2:"id";i:715;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:716;a:2:{s:2:"id";i:716;s:4:"text";a:1:{i:0;s:5:"latin";}}i:717;a:2:{s:2:"id";i:717;s:4:"text";a:1:{i:0;s:5:"latin";}}i:718;a:2:{s:2:"id";i:718;s:4:"text";a:1:{i:0;s:5:"latin";}}i:719;a:2:{s:2:"id";i:719;s:4:"text";a:1:{i:0;s:5:"latin";}}i:720;a:2:{s:2:"id";i:720;s:4:"text";a:1:{i:0;s:5:"latin";}}i:721;a:2:{s:2:"id";i:721;s:4:"text";a:1:{i:0;s:5:"latin";}}i:722;a:2:{s:2:"id";i:722;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:723;a:2:{s:2:"id";i:723;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:724;a:2:{s:2:"id";i:724;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:725;a:2:{s:2:"id";i:725;s:4:"text";a:1:{i:0;s:5:"latin";}}i:726;a:2:{s:2:"id";i:726;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:727;a:2:{s:2:"id";i:727;s:4:"text";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}}i:728;a:2:{s:2:"id";i:728;s:4:"text";a:3:{i:0;s:10:"devanagari";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:729;a:2:{s:2:"id";i:729;s:4:"text";a:1:{i:0;s:5:"latin";}}i:730;a:2:{s:2:"id";i:730;s:4:"text";a:3:{i:0;s:8:"cyrillic";i:1;s:5:"latin";i:2;s:9:"latin-ext";}}i:731;a:2:{s:2:"id";i:731;s:4:"text";a:1:{i:0;s:5:"latin";}}i:732;a:2:{s:2:"id";i:732;s:4:"text";a:1:{i:0;s:5:"latin";}}}';
}


/**
 * ( Helper function )
 * Prettify the Variants description. This array is used to display the variants in the dropdown in a more human readable way
 * 
 */
function udesign_google_fonts_variants_descriptions() {
    return array(
                "100"       => "Thin 100",
                "100italic" => "Thin 100 Italic",
                "200"       => "Extra-Light 200",
                "200italic" => "Extra-Light 200 Italic",
                "300"       => "Light 300",
                "300italic" => "Light 300 Italic",
                "regular"   => "Normal 400",
                "italic"    => "Normal 400 Italic",
                "500"       => "Medium 500",
                "500italic" => "Medium 500 Italic",
                "600"       => "Semi-Bold 600",
                "600italic" => "Semi-Bold 600 Italic",
                "700"       => "Bold 700",
                "700italic" => "Bold 700 Italic",
                "800"       => "Extra-Bold 800",
                "800italic" => "Extra-Bold 800 Italic",
                "900"       => "Ultra-Bold 900",
                "900italic" => "Ultra-Bold 900 Italic"
    );
}



